package com.netapp.acquisition.aquisitionserverside.interfaces.data;

import javax.ejb.ApplicationException;

import com.netapp.oci.platform.common.interfaces.data.NestedStackTraceException;

/**
 * Created by weis.
 * Date: Jun 9, 2010
 * Time: 2:13:14 PM
 */
@ApplicationException(rollback = true)
public class AcquisitionServerException extends NestedStackTraceException {

    private static final long serialVersionUID = 1L;

    public AcquisitionServerException() {
        super();
    }

    public AcquisitionServerException(String message) {
        super(message);
    }

    public AcquisitionServerException(Throwable cause) {
        super(cause);
    }

    public AcquisitionServerException(String message, Throwable ex) {
        super(message, ex);
    }
}
