package com.netapp.oci.netapp.foundation.qosvolumeworkloaduuidconvertion.interfaces.remote;

import com.netapp.oci.netapp.interfaces.data.NetappInterfaceException;

import java.util.Map;
import javax.ejb.Remote;

/**
 * Created with IntelliJ IDEA.
 * User: root
 * Date: 7/31/14
 * Time: 2:38 PM
 * To change this template use File | Settings | File Templates.
 */
@Remote
public interface UuidConversionRemote {
    String JNDI_NAME = "ejb:mega-app/server-core//UuidConversionBean!com.netapp.oci.netapp.foundation.qosvolumeworkloaduuidconvertion.interfaces.remote.UuidConversionRemote";

    /**
     * To convert static uuids to dynamic uuids in mapToConvert
     * @param clusterKey - the cluster Key Identifier
     * @param mapToConvert - map of qosvolumeworkload name to dynamic UUID
     * @throws com.netapp.oci.netapp.interfaces.data.NetappInterfaceException if failed to report
     */
    void convert(String clusterKey, Map<String, String> mapToConvert) throws NetappInterfaceException;

}
