package com.netapp.oci.netapp.performance.aggregate.interfaces.data;

import java.io.Serializable;

public class AggregateMeasurements implements Serializable{
	private static final long serialVersionUID = 5573362827521581282L;

	private float cpReadBlocks;
	private float cpReads;
	private float totalTransfers;
	private float userReadBlocks;
	private float userReads;
	private float userWriteBlocks;
	private float userWrites;
    private float totalTransfersHdd;
    private float totalTransfersSsd;
    private float userReadBlocksHdd;
    private float userReadBlocksSsd;
    private float userReadsHdd;
    private float userReadsSsd;
    private float userWriteBlocksHdd;
    private float userWriteBlocksSsd;
    private float userWritesHdd;
    private float userWritesSsd;
    private float opmAggrThroughput;
    private float opmAggrLatency;
    private float opmAggrUserReadLatency;
    private float opmAggrUserWriteLatency;
    private float opmAggrCpReadLatency;
    private float opmAggrUtilization;

    public AggregateMeasurements() {
        super();
	}

	public float getCpReadBlocks() {
		return cpReadBlocks;
	}

	public AggregateMeasurements setCpReadBlocks(float cpReadBlocks) {
		this.cpReadBlocks = cpReadBlocks;
        return this;
	}

	public float getCpReads() {
		return cpReads;
	}

	public AggregateMeasurements setCpReads(float cpReads) {
		this.cpReads = cpReads;
        return this;
	}

	public float getTotalTransfers() {
		return totalTransfers;
	}

	public AggregateMeasurements setTotalTransfers(float totalTransfers) {
		this.totalTransfers = totalTransfers;
        return this;
	}

	public float getUserReadBlocks() {
		return userReadBlocks;
	}

	public AggregateMeasurements setUserReadBlocks(float userReadBlocks) {
		this.userReadBlocks = userReadBlocks;
        return this;
	}

	public float getUserReads() {
		return userReads;
	}

	public AggregateMeasurements setUserReads(float userReads) {
		this.userReads = userReads;
        return this;
	}

	public float getUserWriteBlocks() {
		return userWriteBlocks;
	}

	public AggregateMeasurements setUserWriteBlocks(float userWriteBlocks) {
		this.userWriteBlocks = userWriteBlocks;
        return this;
	}

	public float getUserWrites() {
		return userWrites;
	}

	public AggregateMeasurements setUserWrites(float userWrites) {
		this.userWrites = userWrites;
        return this;
	}


    public float getTotalTransfersHdd() {
        return totalTransfersHdd;
    }

    public AggregateMeasurements setTotalTransfersHdd(float totalTransfersHdd) {
        this.totalTransfersHdd = totalTransfersHdd;
        return this;
    }

    public float getTotalTransfersSsd() {
        return totalTransfersSsd;
    }

    public AggregateMeasurements setTotalTransfersSsd(float totalTransfersSsd) {
        this.totalTransfersSsd = totalTransfersSsd;
        return this;
    }

    public float getUserReadBlocksHdd() {
        return userReadBlocksHdd;
    }

    public AggregateMeasurements setUserReadBlocksHdd(float userReadBlocksHdd) {
        this.userReadBlocksHdd = userReadBlocksHdd;
        return this;
    }

    public float getUserReadBlocksSsd() {
        return userReadBlocksSsd;
    }

    public AggregateMeasurements setUserReadBlocksSsd(float userReadBlocksSsd) {
        this.userReadBlocksSsd = userReadBlocksSsd;
        return this;
    }

    public float getUserReadsHdd() {
        return userReadsHdd;
    }

    public AggregateMeasurements setUserReadsHdd(float userReadsHdd) {
        this.userReadsHdd = userReadsHdd;
        return this;
    }

    public float getUserReadsSsd() {
        return userReadsSsd;
    }

    public AggregateMeasurements setUserReadsSsd(float userReadsSsd) {
        this.userReadsSsd = userReadsSsd;
        return this;
    }

    public float getUserWriteBlocksHdd() {
        return userWriteBlocksHdd;
    }

    public AggregateMeasurements setUserWriteBlocksHdd(float userWriteBlocksHdd) {
        this.userWriteBlocksHdd = userWriteBlocksHdd;
        return this;
    }

    public float getUserWriteBlocksSsd() {
        return userWriteBlocksSsd;
    }

    public AggregateMeasurements setUserWriteBlocksSsd(float userWriteBlocksSsd) {
        this.userWriteBlocksSsd = userWriteBlocksSsd;
        return this;
    }

    public float getUserWritesHdd() {
        return userWritesHdd;
    }

    public AggregateMeasurements setUserWritesHdd(float userWritesHdd) {
        this.userWritesHdd = userWritesHdd;
        return this;
    }

    public float getUserWritesSsd() {
        return userWritesSsd;
    }

    public AggregateMeasurements setUserWritesSsd(float userWritesSsd) {
        this.userWritesSsd = userWritesSsd;
        return this;
    }


    public float getOpmAggrThroughput() {
        return opmAggrThroughput;
    }

    public AggregateMeasurements setOpmAggrThroughput(float opmAggrThroughput) {
        this.opmAggrThroughput = opmAggrThroughput;
        return this;
    }

    public float getOpmAggrLatency() {
        return opmAggrLatency;
    }

    public AggregateMeasurements setOpmAggrLatency(float opmAggrLatency) {
        this.opmAggrLatency = opmAggrLatency;
        return this;
    }

    public float getOpmAggrUserReadLatency() {
        return opmAggrUserReadLatency;
    }

    public AggregateMeasurements setOpmAggrUserReadLatency(float opmAggrUserReadLatency) {
        this.opmAggrUserReadLatency = opmAggrUserReadLatency;
        return this;
    }

    public float getOpmAggrUserWriteLatency() {
        return opmAggrUserWriteLatency;
    }

    public AggregateMeasurements setOpmAggrUserWriteLatency(float opmAggrUserWriteLatency) {
        this.opmAggrUserWriteLatency = opmAggrUserWriteLatency;
        return this;
    }

    public float getOpmAggrCpReadLatency() {
        return opmAggrCpReadLatency;
    }

    public AggregateMeasurements setOpmAggrCpReadLatency(float opmAggrCpReadLatency) {
        this.opmAggrCpReadLatency = opmAggrCpReadLatency;
        return this;
    }

    public float getOpmAggrUtilization() {
        return opmAggrUtilization;
    }

    public AggregateMeasurements setOpmAggrUtilization(float opmAggrUtilization) {
        this.opmAggrUtilization = opmAggrUtilization;
        return this;
    }

	@Override
	public String toString() {
        final StringBuilder sb = new StringBuilder("AggregateMeasurements {");
        sb.append("cpReadBlocks=").append(cpReadBlocks);
        sb.append(", cpReads=").append(cpReads);
        sb.append(", totalTransfers=").append(totalTransfers);
        sb.append(", userReadBlocks=").append(userReadBlocks);
        sb.append(", userReads=").append(userReads);
        sb.append(", userWriteBlocks=").append(userWriteBlocks);
        sb.append(", userWrites=").append(userWrites);
        sb.append(", totalTransfersHdd=").append(totalTransfersHdd);
        sb.append(", totalTransfersSsd=").append(totalTransfersSsd);
        sb.append(", userReadBlocksHdd=").append(userReadBlocksHdd);
        sb.append(", userReadBlocksSsd=").append(userReadBlocksSsd);
        sb.append(", userReadsHdd=").append(userReadsHdd);
        sb.append(", userReadsSsd=").append(userReadsSsd);
        sb.append(", userWriteBlocksHdd=").append(userWriteBlocksHdd);
        sb.append(", userWriteBlocksSsd=").append(userWriteBlocksSsd);
        sb.append(", userWritesHdd=").append(userWritesHdd);
        sb.append(", userWritesSsd=").append(userWritesSsd);
        sb.append(", opmAggrThroughput=").append(opmAggrThroughput);
        sb.append(", opmAggrLatency=").append(opmAggrLatency);
        sb.append(", opmAggrUserReadLatency=").append(opmAggrUserReadLatency);
        sb.append(", opmAggrUserWriteLatency=").append(opmAggrUserWriteLatency);
        sb.append(", opmAggrCpReadLatency=").append(opmAggrCpReadLatency);
        sb.append(", opmAggrUtilization=").append(opmAggrUtilization);

        sb.append('}');
        return sb.toString();
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + Float.floatToIntBits(cpReadBlocks);
		result = prime * result + Float.floatToIntBits(cpReads);
		result = prime * result + Float.floatToIntBits(totalTransfers);
		result = prime * result + Float.floatToIntBits(userReadBlocks);
		result = prime * result + Float.floatToIntBits(userReads);
		result = prime * result + Float.floatToIntBits(userWriteBlocks);
		result = prime * result + Float.floatToIntBits(userWrites);
        result = prime * result + Float.floatToIntBits(totalTransfersHdd);
        result = prime * result + Float.floatToIntBits(totalTransfersSsd);
        result = prime * result + Float.floatToIntBits(userReadBlocksHdd);
        result = prime * result + Float.floatToIntBits(userReadBlocksSsd);
        result = prime * result + Float.floatToIntBits(userReadsHdd);
        result = prime * result + Float.floatToIntBits(userReadsSsd);
        result = prime * result + Float.floatToIntBits(userWriteBlocksHdd);
        result = prime * result + Float.floatToIntBits(userWriteBlocksSsd);
        result = prime * result + Float.floatToIntBits(userWritesHdd);
        result = prime * result + Float.floatToIntBits(userWritesSsd);
        result = prime * result + Float.floatToIntBits(opmAggrThroughput);
        result = prime * result + Float.floatToIntBits(opmAggrLatency);
        result = prime * result + Float.floatToIntBits(opmAggrUserReadLatency);
        result = prime * result + Float.floatToIntBits(opmAggrUserWriteLatency);
        result = prime * result + Float.floatToIntBits(opmAggrCpReadLatency);
        result = prime * result + Float.floatToIntBits(opmAggrUtilization);
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		AggregateMeasurements other = (AggregateMeasurements) obj;
		if (Float.floatToIntBits(cpReadBlocks) != Float
				.floatToIntBits(other.cpReadBlocks))
			return false;
		if (Float.floatToIntBits(cpReads) != Float
				.floatToIntBits(other.cpReads))
			return false;
		if (Float.floatToIntBits(totalTransfers) != Float
				.floatToIntBits(other.totalTransfers))
			return false;
		if (Float.floatToIntBits(userReadBlocks) != Float
				.floatToIntBits(other.userReadBlocks))
			return false;
		if (Float.floatToIntBits(userReads) != Float
				.floatToIntBits(other.userReads))
			return false;
		if (Float.floatToIntBits(userWriteBlocks) != Float
				.floatToIntBits(other.userWriteBlocks))
			return false;
		if (Float.floatToIntBits(userWrites) != Float
				.floatToIntBits(other.userWrites))
			return false;
        if (Float.floatToIntBits(totalTransfersHdd) != Float
                .floatToIntBits(other.totalTransfersHdd))
            return false;
        if (Float.floatToIntBits(totalTransfersSsd) != Float
                .floatToIntBits(other.totalTransfersSsd))
            return false;
        if (Float.floatToIntBits(userReadBlocksHdd) != Float
                .floatToIntBits(other.userReadBlocksHdd))
            return false;
        if (Float.floatToIntBits(userReadBlocksSsd) != Float
                .floatToIntBits(other.userReadBlocksSsd))
            return false;
        if (Float.floatToIntBits(userReadsHdd) != Float
                .floatToIntBits(other.userReadsHdd))
            return false;
        if (Float.floatToIntBits(userReadsSsd) != Float
                .floatToIntBits(other.userReadsSsd))
            return false;
        if (Float.floatToIntBits(userWriteBlocksHdd) != Float
                .floatToIntBits(other.userWriteBlocksHdd))
            return false;
        if (Float.floatToIntBits(userWriteBlocksSsd) != Float
                .floatToIntBits(other.userWriteBlocksSsd))
            return false;
        if (Float.floatToIntBits(userWritesHdd) != Float
                .floatToIntBits(other.userWritesHdd))
            return false;
        if (Float.floatToIntBits(opmAggrThroughput) != Float
                .floatToIntBits(other.opmAggrThroughput))
            return false;
        if (Float.floatToIntBits(opmAggrLatency) != Float
                .floatToIntBits(other.opmAggrLatency))
            return false;
        if (Float.floatToIntBits(opmAggrUserWriteLatency) != Float
                .floatToIntBits(other.opmAggrUserWriteLatency))
            return false;
        if (Float.floatToIntBits(opmAggrUserReadLatency) != Float
                .floatToIntBits(other.opmAggrUserReadLatency))
            return false;
        if (Float.floatToIntBits(opmAggrCpReadLatency) != Float
                .floatToIntBits(other.opmAggrCpReadLatency))
            return false;
        if (Float.floatToIntBits(opmAggrUtilization) != Float
                .floatToIntBits(other.opmAggrUtilization))
            return false;
		return true;
	}
	
}
