package com.netapp.oci.netapp.performance.cifsvserver.interfaces.data;

import java.io.Serializable;
import java.math.BigInteger;

public class CifsVserverRawMeasurements implements Serializable{
	private static final long serialVersionUID = 6428221600583782190L;

	private BigInteger cifsLatency;
	private BigInteger cifsLatencyBase;
	private BigInteger cifsOps;
	private BigInteger cifsReadLatency;
	private BigInteger cifsReadOps;
	private BigInteger cifsWriteLatency;
	private BigInteger cifsWriteOps;
	private String cifsReadSizeHisto;
	private String cifsWriteSizeHisto;
	private BigInteger cifsReadThroughput;
	private BigInteger cifsWriteThroughput;

	public CifsVserverRawMeasurements() {};

	public CifsVserverRawMeasurements(BigInteger cifsLatency,
			BigInteger cifsLatencyBase, BigInteger cifsOps,
			BigInteger cifsReadLatency, BigInteger cifsReadOps,
			BigInteger cifsWriteLatency, BigInteger cifsWriteOps,
			String cifsReadSizeHisto, String cifsWriteSizeHisto,
			BigInteger cifsReadThroughput, BigInteger cifsWriteThrougput) {

		super();
		this.cifsLatency = cifsLatency;
		this.cifsLatencyBase = cifsLatencyBase;
		this.cifsOps = cifsOps;
		this.cifsReadLatency = cifsReadLatency;
		this.cifsReadOps = cifsReadOps;
		this.cifsWriteLatency = cifsWriteLatency;
		this.cifsWriteOps = cifsWriteOps;
		this.cifsReadSizeHisto = cifsReadSizeHisto;
		this.cifsWriteSizeHisto = cifsWriteSizeHisto;
		this.cifsReadThroughput = cifsReadThroughput;
		this.cifsWriteThroughput = cifsWriteThrougput;
	}

	public BigInteger getCifsLatency() {
		return cifsLatency;
	}

	public void setCifsLatency(BigInteger cifsLatency) {
		this.cifsLatency = cifsLatency;
	}

	public BigInteger getCifsLatencyBase() {
		return cifsLatencyBase;
	}

	public void setCifsLatencyBase(BigInteger cifsLatencyBase) {
		this.cifsLatencyBase = cifsLatencyBase;
	}

	public BigInteger getCifsOps() {
		return cifsOps;
	}

	public void setCifsOps(BigInteger cifsOps) {
		this.cifsOps = cifsOps;
	}

	public BigInteger getCifsReadLatency() {
		return cifsReadLatency;
	}

	public void setCifsReadLatency(BigInteger cifsReadLatency) {
		this.cifsReadLatency = cifsReadLatency;
	}

	public BigInteger getCifsReadOps() {
		return cifsReadOps;
	}

	public void setCifsReadOps(BigInteger cifsReadOps) {
		this.cifsReadOps = cifsReadOps;
	}

	public BigInteger getCifsWriteLatency() {
		return cifsWriteLatency;
	}

	public void setCifsWriteLatency(BigInteger cifsWriteLatency) {
		this.cifsWriteLatency = cifsWriteLatency;
	}

	public BigInteger getCifsWriteOps() {
		return cifsWriteOps;
	}

	public void setCifsWriteOps(BigInteger cifsWriteOps) {
		this.cifsWriteOps = cifsWriteOps;
	}

	public String getCifsReadSizeHisto() {
		return cifsReadSizeHisto;
	}

	public void setCifsReadSizeHisto(String cifsReadSizeHisto) {
		this.cifsReadSizeHisto = cifsReadSizeHisto;
	}

	public String getCifsWriteSizeHisto() {
		return cifsWriteSizeHisto;
	}

	public void setCifsWriteSizeHisto(String cifsWriteSizeHisto) {
		this.cifsWriteSizeHisto = cifsWriteSizeHisto;
	};

	public BigInteger getCifsReadThroughput() {
		return cifsReadThroughput;
	}

	public void setCifsReadThroughput(BigInteger cifsReadThroughput) {
		this.cifsReadThroughput = cifsReadThroughput;
	}

	public BigInteger getCifsWriteThroughput() {
		return cifsWriteThroughput;
	}

	public void setCifsWriteThroughput(BigInteger cifsWriteThroughput) {
		this.cifsWriteThroughput = cifsWriteThroughput;
	}
}
