package com.netapp.oci.netapp.performance.fcpport.interfaces.data;

import java.io.Serializable;
import java.math.BigInteger;

public class FcpPortRawMeasurements implements Serializable{
	private static final long serialVersionUID = 8534309073194337183L;
	
	private BigInteger avgOtherLatency;
    private BigInteger avgReadLatency;
    private BigInteger avgWriteLatency;
    private BigInteger otherOps;
    private BigInteger readOps;
    private BigInteger writeOps;

    public FcpPortRawMeasurements() {
    }
    
	public FcpPortRawMeasurements(BigInteger avgOtherLatency,
			BigInteger avgReadLatency, BigInteger avgWriteLatency,
			BigInteger otherOps, BigInteger readOps, BigInteger writeOps) {
		super();
		this.avgOtherLatency = avgOtherLatency;
		this.avgReadLatency = avgReadLatency;
		this.avgWriteLatency = avgWriteLatency;
		this.otherOps = otherOps;
		this.readOps = readOps;
		this.writeOps = writeOps;
	}

	public BigInteger getAvgOtherLatency() {
		return avgOtherLatency;
	}

	public void setAvgOtherLatency(BigInteger avgOtherLatency) {
		this.avgOtherLatency = avgOtherLatency;
	}

	public BigInteger getAvgReadLatency() {
		return avgReadLatency;
	}

	public void setAvgReadLatency(BigInteger avgReadLatency) {
		this.avgReadLatency = avgReadLatency;
	}

	public BigInteger getAvgWriteLatency() {
		return avgWriteLatency;
	}

	public void setAvgWriteLatency(BigInteger avgWriteLatency) {
		this.avgWriteLatency = avgWriteLatency;
	}

	public BigInteger getOtherOps() {
		return otherOps;
	}

	public void setOtherOps(BigInteger otherOps) {
		this.otherOps = otherOps;
	}

	public BigInteger getReadOps() {
		return readOps;
	}

	public void setReadOps(BigInteger readOps) {
		this.readOps = readOps;
	}

	public BigInteger getWriteOps() {
		return writeOps;
	}

	public void setWriteOps(BigInteger writeOps) {
		this.writeOps = writeOps;
	}

}
