package com.netapp.oci.netapp.performance.hostadapter.interfaces.data;

import java.io.Serializable;

public class HostadapterMeasurements implements Serializable {
  
	private static final long serialVersionUID = 1L;

	private float bytesRead;
	private float bytesWritten;
	private long maxLinkDataRate;
	
	/**
	 * @return the bytesRead
	 */
	public float getBytesRead() {
		return bytesRead;
	}
	/**
	 * @param bytesRead the bytesRead to set
	 */
	public void setBytesRead(float bytesRead) {
		this.bytesRead = bytesRead;
	}
	/**
	 * @return the bytesWritten
	 */
	public float getBytesWritten() {
		return bytesWritten;
	}
	/**
	 * @param bytesWritten the bytesWritten to set
	 */
	public void setBytesWritten(float bytesWritten) {
		this.bytesWritten = bytesWritten;
	}
	/**
	 * @return the maxLinkDataRate
	 */
	public long getMaxLinkDataRate() {
		return maxLinkDataRate;
	}
	/**
	 * @param maxLinkDataRate the maxLinkDataRate to set
	 */
	public void setMaxLinkDataRate(long maxLinkDataRate) {
		this.maxLinkDataRate = maxLinkDataRate;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + Float.floatToIntBits(bytesRead);
		result = prime * result + Float.floatToIntBits(bytesWritten);
		result = prime * result
				+ (int) (maxLinkDataRate ^ (maxLinkDataRate >>> 32));
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		HostadapterMeasurements other = (HostadapterMeasurements) obj;
		if (Float.floatToIntBits(bytesRead) != Float
				.floatToIntBits(other.bytesRead))
			return false;
		if (Float.floatToIntBits(bytesWritten) != Float
				.floatToIntBits(other.bytesWritten))
			return false;
		if (maxLinkDataRate != other.maxLinkDataRate)
			return false;
		return true;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "HostadapterMeasurements [bytesRead=" + bytesRead
				+ ", bytesWritten=" + bytesWritten + ", maxLinkDataRate="
				+ maxLinkDataRate + "]";
	}
	
}
