package com.netapp.oci.netapp.performance.opmheadroom.interfaces.data;

import java.io.Serializable;

public class OpmHeadRoomAggrMeasurements implements Serializable {
	private static final long serialVersionUID = 1L;

	private float serviceTime;
	private float obOptimalPointUtil;
	private float obOptimalPointLatency;
	private float obOptimalPointOps;
	private float obcOptimalPointUtil;
	private float obcOptimalPointLatency;
	private float obcOptimalPointOps;
	private float obConfidenceLevel;
	private float mOptimalPointUtil;
	private float mOptimalPointLatency;
	private float mOptimalPointOps;
	private float mcOptimalPointUtil;
	private float mcOptimalPointLatency;
	private float mcOptimalPointOps;
	private float mConfidenceLevel;
	private float cOperationalPointAllWorkloads;
	private float cOperationalPointInternalWorkloads;
	private float oOperationalPointAllWorkloads;
	private float oOperationalPointInternalWorkloads;
	private float cHRoomUsedPercent;
	private float cHRoomUsedNoInternalPercent;
	private boolean isObservationBased;
	private float availableOps;

	public OpmHeadRoomAggrMeasurements() {
		super();
	}

	public float getServiceTime() {
		return serviceTime;
	}


	public OpmHeadRoomAggrMeasurements setServiceTime(float serviceTime) {
		this.serviceTime = serviceTime;
		return this;
	}



	public float getObOptimalPointUtil() {
		return obOptimalPointUtil;
	}



	public OpmHeadRoomAggrMeasurements setObOptimalPointUtil(float obOptimalPointUtil) {
		this.obOptimalPointUtil = obOptimalPointUtil;
		return this;
	}



	public float getObOptimalPointLatency() {
		return obOptimalPointLatency;
	}



	public OpmHeadRoomAggrMeasurements setObOptimalPointLatency(float obOptimalPointLatency) {
		this.obOptimalPointLatency = obOptimalPointLatency;
		return this;
	}



	public float getObOptimalPointOps() {
		return obOptimalPointOps;
	}



	public OpmHeadRoomAggrMeasurements setObOptimalPointOps(float obOptimalPointOps) {
		this.obOptimalPointOps = obOptimalPointOps;
		return this;
	}



	public float getObcOptimalPointUtil() {
		return obcOptimalPointUtil;
	}



	public OpmHeadRoomAggrMeasurements setObcOptimalPointUtil(float obcOptimalPointUtil) {
		this.obcOptimalPointUtil = obcOptimalPointUtil;
		return this;
	}



	public float getObcOptimalPointLatency() {
		return obcOptimalPointLatency;
	}



	public OpmHeadRoomAggrMeasurements setObcOptimalPointLatency(float obcOptimalPointLatency) {
		this.obcOptimalPointLatency = obcOptimalPointLatency;
		return this;
	}



	public float getObcOptimalPointOps() {
		return obcOptimalPointOps;
	}



	public OpmHeadRoomAggrMeasurements setObcOptimalPointOps(float obcOptimalPointOps) {
		this.obcOptimalPointOps = obcOptimalPointOps;
		return this;
	}



	public float getObConfidenceLevel() {
		return obConfidenceLevel;
	}



	public OpmHeadRoomAggrMeasurements setObConfidenceLevel(float obConfidenceLevel) {
		this.obConfidenceLevel = obConfidenceLevel;
		return this;
	}



	public float getmOptimalPointUtil() {
		return mOptimalPointUtil;
	}



	public OpmHeadRoomAggrMeasurements setmOptimalPointUtil(float mOptimalPointUtil) {
		this.mOptimalPointUtil = mOptimalPointUtil;
		return this;
	}



	public float getmOptimalPointLatency() {
		return mOptimalPointLatency;
	}



	public OpmHeadRoomAggrMeasurements setmOptimalPointLatency(float mOptimalPointLatency) {
		this.mOptimalPointLatency = mOptimalPointLatency;
		return this;
	}



	public float getmOptimalPointOps() {
		return mOptimalPointOps;
	}



	public OpmHeadRoomAggrMeasurements setmOptimalPointOps(float mOptimalPointOps) {
		this.mOptimalPointOps = mOptimalPointOps;
		return this;
	}



	public float getMcOptimalPointUtil() {
		return mcOptimalPointUtil;
	}



	public OpmHeadRoomAggrMeasurements setMcOptimalPointUtil(float mcOptimalPointUtil) {
		this.mcOptimalPointUtil = mcOptimalPointUtil;
		return this;
	}



	public float getMcOptimalPointLatency() {
		return mcOptimalPointLatency;
	}



	public OpmHeadRoomAggrMeasurements setMcOptimalPointLatency(float mcOptimalPointLatency) {
		this.mcOptimalPointLatency = mcOptimalPointLatency;
		return this;
	}



	public float getMcOptimalPointOps() {
		return mcOptimalPointOps;
	}



	public OpmHeadRoomAggrMeasurements setMcOptimalPointOps(float mcOptimalPointOps) {
		this.mcOptimalPointOps = mcOptimalPointOps;
		return this;
	}



	public float getmConfidenceLevel() {
		return mConfidenceLevel;
	}



	public OpmHeadRoomAggrMeasurements setmConfidenceLevel(float mConfidenceLevel) {
		this.mConfidenceLevel = mConfidenceLevel;
		return this;
	}



	public float getcOperationalPointAllWorkloads() {
		return cOperationalPointAllWorkloads;
	}



	public OpmHeadRoomAggrMeasurements setcOperationalPointAllWorkloads(float cOperationalPointAllWorkloads) {
		this.cOperationalPointAllWorkloads = cOperationalPointAllWorkloads;
		return this;
	}



	public float getcOperationalPointInternalWorkloads() {
		return cOperationalPointInternalWorkloads;
	}



	public OpmHeadRoomAggrMeasurements setcOperationalPointInternalWorkloads(
			float cOperationalPointInternalWorkloads) {
		this.cOperationalPointInternalWorkloads = cOperationalPointInternalWorkloads;
		return this;
	}



	public float getoOperationalPointAllWorkloads() {
		return oOperationalPointAllWorkloads;
	}



	public OpmHeadRoomAggrMeasurements setoOperationalPointAllWorkloads(float oOperationalPointAllWorkloads) {
		this.oOperationalPointAllWorkloads = oOperationalPointAllWorkloads;
		return this;
	}



	public float getoOperationalPointInternalWorkloads() {
		return oOperationalPointInternalWorkloads;
	}



	public OpmHeadRoomAggrMeasurements setoOperationalPointInternalWorkloads(
			float oOperationalPointInternalWorkloads) {
		this.oOperationalPointInternalWorkloads = oOperationalPointInternalWorkloads;
		return this;
	}



	public float getcHRoomUsedPercent() {
		return cHRoomUsedPercent;
	}



	public OpmHeadRoomAggrMeasurements setcHRoomUsedPercent(float cHRoomInUsePercent) {
		this.cHRoomUsedPercent = cHRoomInUsePercent;
		return this;
	}



	public float getcHRoomUsedNoInternalPercent() {
		return cHRoomUsedNoInternalPercent;
	}



	public OpmHeadRoomAggrMeasurements setcHRoomUsedNoInternalPercent(float cHRoomUsedNoInternalPercent) {
		this.cHRoomUsedNoInternalPercent = cHRoomUsedNoInternalPercent;
		return this;
	}



	public boolean isObservationBased() {
        return isObservationBased;
    }

    public OpmHeadRoomAggrMeasurements setObservationBased(boolean isObservationBased) {
        this.isObservationBased = isObservationBased;
        return this;
    }

    public float getAvailableOps() {
        return availableOps;
    }

    public OpmHeadRoomAggrMeasurements setAvailableOps(float availableOps) {
        this.availableOps = availableOps;
        return this;
    }

    @Override
	public String toString(){
		final StringBuilder sb = new StringBuilder("opmHeadRoomAggrMeasurements {");
		sb.append("serviceTime=").append(serviceTime);
		sb.append("obOptimalPointUtil=").append(obOptimalPointUtil);
		sb.append(", obOptimalPointLatency=").append(obOptimalPointLatency);
		sb.append(", obOptimalPointOps=").append(obOptimalPointOps);
		sb.append(", obOptimalPointConfidenceLevel=").append(obConfidenceLevel);
		sb.append(", obOptimalPointUtil=").append(obcOptimalPointUtil);
		sb.append(", obcOptimalPointLatency=").append(obcOptimalPointLatency);
		sb.append(", obcOptimalPointOps=").append(obcOptimalPointOps);
		sb.append(", mConfidenceLevel=").append(mConfidenceLevel);
		sb.append(", mOptimalPointUtil=").append(mOptimalPointUtil);
		sb.append(", mOptimalPointLatency=").append(mOptimalPointLatency);
		sb.append(", mOptimalPointOps=").append(mOptimalPointOps);
		sb.append(", mcOptimalPointUtil=").append(mcOptimalPointUtil);
		sb.append(", mcOptimalPointLatency=").append(mcOptimalPointLatency);
		sb.append(", mcOptimalPointOps=").append(mcOptimalPointOps);
		sb.append(", cOpAllWorkloads=").append(cOperationalPointAllWorkloads);
		sb.append(", cOpInternalWorkloads=").append(cOperationalPointInternalWorkloads);
		sb.append(", oOpAllWorkloads=").append(oOperationalPointAllWorkloads);
		sb.append(", oOpInternalWorkloads=").append(oOperationalPointInternalWorkloads);
		sb.append(", cHRUsedPerct").append(cHRoomUsedPercent);
		sb.append(", cHRUsedNoInternalPerct").append(cHRoomUsedNoInternalPercent);
	    sb.append(", availableOps=").append(availableOps);
		sb.append(", isObservationBased").append(isObservationBased);
		sb.append('}');
		return sb.toString();
	}

	@Override
	public int hashCode(){
		int result = Float.floatToIntBits(obOptimalPointUtil);
		result = 31 * result + Float.floatToIntBits(serviceTime);
		result = 31 * result + Float.floatToIntBits(obOptimalPointLatency);
		result = 31 * result + Float.floatToIntBits(obOptimalPointOps);
		result = 31 * result + Float.floatToIntBits(obConfidenceLevel);
		result = 31 * result + Float.floatToIntBits(obcOptimalPointUtil);
		result = 31 * result + Float.floatToIntBits(obcOptimalPointLatency);
		result = 31 * result + Float.floatToIntBits(obcOptimalPointOps);
		result = 31 * result + Float.floatToIntBits(mConfidenceLevel);
		result = 31 * result + Float.floatToIntBits(mOptimalPointUtil);
		result = 31 * result + Float.floatToIntBits(mOptimalPointLatency);
		result = 31 * result + Float.floatToIntBits(mOptimalPointOps);
		result = 31 * result + Float.floatToIntBits(mcOptimalPointUtil);
		result = 31 * result + Float.floatToIntBits(mcOptimalPointLatency);
		result = 31 * result + Float.floatToIntBits(mcOptimalPointOps);
		result = 31 * result + Float.floatToIntBits(cOperationalPointAllWorkloads);
		result = 31 * result + Float.floatToIntBits(cOperationalPointInternalWorkloads);
		result = 31 * result + Float.floatToIntBits(oOperationalPointAllWorkloads);
		result = 31 * result + Float.floatToIntBits(oOperationalPointInternalWorkloads);
		result = 31 * result + Float.floatToIntBits(cHRoomUsedPercent);
		result = 31 * result + Float.floatToIntBits(cHRoomUsedNoInternalPercent);
		result = 31 * result + Float.floatToIntBits(availableOps);
		result = 31 * result + (isObservationBased ? 1231 : 1237);
		return result;
	}

	@Override
	public boolean equals(Object o){
		 if (this == o) return true;
	     if (o == null || getClass() != o.getClass()) return false;

	     OpmHeadRoomAggrMeasurements that = (OpmHeadRoomAggrMeasurements) o ;
	     if(serviceTime != that.serviceTime) return false;
	     if(obOptimalPointUtil != that.obOptimalPointUtil) return false;
	     if(obOptimalPointLatency != that.obOptimalPointLatency) return false;
	     if(obOptimalPointOps != that.obOptimalPointOps) return false;
	     if(obcOptimalPointUtil != that.obcOptimalPointUtil) return false;
	     if(obcOptimalPointLatency != that.obcOptimalPointLatency) return false;
	     if(obcOptimalPointOps != that.obcOptimalPointOps) return false;
	     if(obConfidenceLevel != that.obConfidenceLevel) return false;
	     if(mOptimalPointUtil != that.mOptimalPointUtil) return false;
	     if(mOptimalPointLatency != that.mOptimalPointLatency) return false;
	     if(mOptimalPointOps != that.mOptimalPointOps) return false;
	     if(mConfidenceLevel != that.mConfidenceLevel) return false;
	     if(mcOptimalPointUtil != that.mcOptimalPointUtil) return false;
	     if(mcOptimalPointLatency != that.mcOptimalPointLatency) return false;
	     if(mcOptimalPointOps != that.mcOptimalPointOps) return false;
	     if(cOperationalPointAllWorkloads != that.cOperationalPointAllWorkloads) return false;
	     if(cOperationalPointInternalWorkloads != that.cOperationalPointInternalWorkloads) return false;
	     if(oOperationalPointAllWorkloads != that.oOperationalPointAllWorkloads) return false;
	     if(oOperationalPointInternalWorkloads != that.oOperationalPointInternalWorkloads) return false;
	     if(cHRoomUsedPercent != that.cHRoomUsedPercent) return false;
	     if(cHRoomUsedNoInternalPercent != that.cHRoomUsedNoInternalPercent) return false;
	     if(availableOps != that.availableOps) return false;
	     if(isObservationBased != that.isObservationBased) return false;
	     return true;
	}

}