package com.netapp.oci.platform.common;

import javax.ejb.ApplicationException;

/**
 * Base exception for jboss internal problems
 * 
 * @author Anton Sergeev
 */
@ApplicationException(rollback = true)
public class InternalServerException extends Exception {
    private static final long serialVersionUID = 1L;

    public InternalServerException() {
    }

    public InternalServerException(String message) {
        super(message);
    }

    public InternalServerException(String message, Throwable cause) {
        super(message, cause);
    }

    public InternalServerException(Throwable cause) {
        super(cause);
    }
}
