/*
 * Copyright (c) 2011 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.common;


import java.security.GeneralSecurityException;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.netapp.ext_algorithms.pbe.PBE;

public class LoginConstant {
		
	/** Static reference to the database login */
	public static final String DB_USER;
	
	/** Static reference to the database password */
	public static final String DB_PASSWORD;
	
	static final Logger logger = LoggerFactory.getLogger(LoginConstant.class);
	private static final char[] PW = "onaro".toCharArray();
	
	static {
		String temp1 = null;
		String temp2 = null;
		try {
			temp1 = PBE.decrypt(PW, "idU2BvXxs4U=xf79t5BNcB8=");
			temp2 = PBE.decrypt(PW, "/7PQGPbTltU=O9ApZH0XCW8=");
		}
		catch (GeneralSecurityException e) {
			logger.error("Failed to decrypt db login", e);
		}
		DB_USER = temp1;
		DB_PASSWORD = temp2;
	}
}
