/*
 * Copyright (c) 2011 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.common;

import java.util.Date;

public class ServerConstant {


    static public final long NULL_ID = -1;
    static public final Long LONG_NULL_ID = Long.valueOf(NULL_ID);
    static public final long END_DATE = 5000000000000L; // Fri Jun 11 04:53:20 EDT 2128
    static public final Date END_DATE_OBJECT = new Date(END_DATE); // Fri Jun 11 04:53:20 EDT 2128
    static public char[] PBE_KEY = "v9&#6@8v1-\"5,2m".toCharArray();
    static public final long NO_HISTORY = -1; //
    static public final Long MERGE_ORIGINATOR = Long.valueOf(-1);

    public static final transient String HTTPS_JNDI_BINDING_PREFIX = "Https";

    /**
     * Private constructor prevent this class from being created by mistake
     */
    private ServerConstant() {
    }

    /**
     * Return true if the given id equals the LONG_NULL_ID constant,
     * false otherwise.
     *
     * @param id the id to check
     * @return true if the id is null, false otherwise.
     * @see #notNullId(Long)
     */
    public static boolean isNullId(Long id) {
        return LONG_NULL_ID.equals(id);
    }

    /**
     * Return false if the given id equals the LONG_NULL_ID constant,
     * true otherwise.
     *
     * @param id the id to check
     * @return false if the id is null, true otherwise.
     * @see #isNullId(Long)
     */
    public static boolean notNullId(Long id) {
        return !isNullId(id);
    }
}
