/*
 * Copyright (c) 2011 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.common.table;


import com.netapp.oci.platform.common.InternalServerException;
import javax.ejb.ApplicationException;

@ApplicationException(rollback = true)
public class TableException  extends InternalServerException {

    private static final long serialVersionUID = 1L;

	public TableException(String msg) {
        super(msg);
    }

    public TableException(String msg, Throwable cause) {
        super(msg, cause);
    }
}
