package com.netapp.oci.platform.common.table;

import com.netapp.oci.platform.common.table.Table;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Connection;

/**
 * Use this to create insert update qruies such as rename, dropTable etc.
 * the UpdateTable can not be use for SELECT queries
 */
public class UpdateTable extends Table {

    public UpdateTable(Connection connection, String database, String name) {
        super(connection, database, name);
    }

    /**
     * the UpdateTable can not be use for SELECT queries
     */
    public Object parseObject(ResultSet resultSet) throws SQLException {
        throw new SQLException("UpdateTable must use for Insert/Update queries and not Select ones!");
    }
}
