package com.netapp.oci.platform.framework.performance.test;

import java.util.Random;

public class RandomValueGenerator {

    private Random random = new Random(244191220964903L);

    public boolean nextBoolean() {
        return random.nextInt(1) > 0.5;
    }

    public long nextLong() {
        return random.nextInt(999999);
    }

    public long nextLong(long prev) {
        long next = nextLong();
        return prev + (next % (Short.MAX_VALUE / 2));
    }

    public float nextFloat() {
        return (float)random.nextInt(99999) / 10f;
    }

    public float nextFloat(float prev) {
        return Math.round(prev*10 + random.nextInt(100)) / 10f;
    }

    public int nextPercent() {
        return random.nextInt(100);
    }

    public float nextFloatPercent() {
        return random.nextInt(10000) / 100f;
    }

    public int nextInt() {
        return random.nextInt(99999);
    }

    public int nextInt(int prev) {
        int next = nextInt();
        return prev + (next % (Short.MAX_VALUE / 2));
    }
}
