/*
 * Copyright (c) 2011 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.originator;

import com.netapp.oci.platform.common.interfaces.data.NestedStackTraceException;

import javax.ejb.ApplicationException;

@ApplicationException(rollback = true)
public class OriginatorUpdateException extends NestedStackTraceException {
    private static final long serialVersionUID = 1L;
	public OriginatorUpdateException(String message, Throwable cause) {
        super(message, cause);
    }
    public OriginatorUpdateException(String message) {
        super(message);
    }
}

