package com.netapp.oci.platform.util.schema;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Created with IntelliJ IDEA.
 * User: root
 * Date: 10/9/14
 * Time: 4:59 PM
 * To change this template use File | Settings | File Templates.
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface OCIEPerformanceTable {
    /**
     *   performance table name
     */
    public String tableName();

    /**
     *  name of CMObject
     */
    public String cmObjectName() default "N/A";

    /**
     *   shard by cluster, vserver or none
     */
    public String description() default "N/A";
}


