/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.server;

import com.netapp.oci.platform.common.interfaces.data.NestedStackTraceException;

import javax.ejb.ApplicationException;

@ApplicationException(rollback = true)
public class TransactionContextException extends NestedStackTraceException {

    private static final long serialVersionUID = 1L;

    public TransactionContextException(String msg) {
        super(msg);
    }

    public TransactionContextException(String msg, Throwable cause) {
        super(msg, cause);
    }
}
