package com.onaro.sanscreen.acquisition.identify;

import com.netapp.oci.platform.common.interfaces.data.NestedStackTraceException;
import org.slf4j.Logger;

import javax.ejb.ApplicationException;

@ApplicationException(rollback = true)
public class AcqIdentifyException extends NestedStackTraceException {

    private static final long serialVersionUID = 1L;
	static transient final Logger logger =org.slf4j.LoggerFactory.getLogger("com.onaro.sanscreen.acquisition.identify");

    public AcqIdentifyException(String message) {
        super(message);
    }

    public AcqIdentifyException(String message, Throwable cause) {
        super(message, cause);
    }
}
