package com.onaro.sanscreen.acquisition.sessions;

import com.netapp.oci.platform.common.interfaces.data.NestedStackTraceException;

import javax.ejb.ApplicationException;

@ApplicationException(rollback = true)
public class VendorModelNotFoundException extends NestedStackTraceException {

    private static final long serialVersionUID = 1L;

	public VendorModelNotFoundException(String dataSourceName) {
        super(dataSourceName);
    }

    public String getDataSourceName() {
        return getMessage();
    }

}
