/*
 * Copyright (c) 2011 NetApp
 * All rights reserved
 */

package com.onaro.sanscreen.client.simulator.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author Al Velella
 *         Date: Apr 13, 2011
 *         Time: 10:59:50 AM
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface Change {
    String value() default "";
    boolean ignoreCase() default false;
    boolean toGB() default false;
    boolean ignore() default false;
}
