/*
 * Copyright (c) 2012 NetApp
 * All rights reserved
 */
package com.onaro.sanscreen.client.simulator.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
/**
 * The purpose of this annotation is to enable properties, implemented as get and set methods, to be exposed as
 * attribute or element while generating odata.
 * 
 * @author Shan Ponnusamy
 */
public @interface XmlMethod {
    String xmlBinding() default "";    
}
