package com.onaro.sanscreen.server.dataobject.acquisition;

import java.io.Serializable;

public class AcqAttribute implements Serializable  {

    private static final long serialVersionUID = 1L;
    
    private long objid = -1;
    private String name;
    private String value;

    public AcqAttribute(final long objid, final String name, final String value) {
        this.objid = objid;
        this.name = name;
        this.value = value;
    }

    public long getObjid() {
        return objid;
    }

    public void setObjid(final long objid) {
        this.objid = objid;
    }

    public String getName() {
        return name;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(final String value) {
        this.value = value;
    }
}
