package com.onaro.sanscreen.server.dataobject.acquisition;

import java.io.Serializable;

/**
 * @deprecated Use DataSourceTypeVendorModel
 */
public class DataSourceVendorModel implements Serializable {
    private static final long serialVersionUID = 1L;
    private long id;
    private long dataSourceType;
    private String vendor;
    private String vendorName;
    private String model;
    private String modelName;

    public DataSourceVendorModel() {
    }

    public DataSourceVendorModel(long id,
                                 long dataSourceType,
                                 final String vendor,
                                 final String vendorName,
                                 final String model,
                                 final String modelName) {
        setId(id);
        setDataSourceType(dataSourceType);
        setVendor(vendor);
        setVendorName(vendorName);
        setModel(model);
        setModelName(modelName);
    }

    public DataSourceVendorModel(
            long dataSourceType,
            final String vendor,
            final String vendorName,
            final String model,
            final String modelName) {
        this(-1, dataSourceType, vendor, vendorName, model, modelName);
    }


    public long getId() {
        return this.id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getDataSourceType() {
        return this.dataSourceType;
    }

    public void setDataSourceType(long dataSourceType) {
        this.dataSourceType = dataSourceType;
    }

    public java.lang.String getVendor() {
        return this.vendor;
    }

    public void setVendor(java.lang.String vendor) {
        this.vendor = vendor;
    }

    public java.lang.String getVendorName() {
        return this.vendorName;
    }

    public void setVendorName(java.lang.String vendorName) {
        this.vendorName = vendorName;
    }

    public java.lang.String getModel() {
        return this.model;
    }

    public void setModel(java.lang.String model) {
        this.model = model;
    }

    public java.lang.String getModelName() {
        return this.modelName;
    }

    public void setModelName(java.lang.String modelName) {
        this.modelName = modelName;
    }

    public String toString() {
        StringBuilder str = new StringBuilder(200);

        str.append("{id=").append(getId()).append(" dataSourceType=").append(getDataSourceType()).append(" vendor=").
                append(getVendor()).append(" vendorName=").append(getVendorName()).append(" model=").append(getModel()).
                append(" modelName=").append(getModelName()).append('}');

        return (str.toString());
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof DataSourceVendorModel)) {
            return false;
        }

        final DataSourceVendorModel dataSourceVendorModel = (DataSourceVendorModel) o;

        if (dataSourceType != dataSourceVendorModel.dataSourceType) {
            return false;
        }
        if (id != dataSourceVendorModel.id) {
            return false;
        }
        if (model != null ? !model.equals(dataSourceVendorModel.model) : dataSourceVendorModel.model != null) {
            return false;
        }
        if (modelName != null ? !modelName.equals(dataSourceVendorModel.modelName) : dataSourceVendorModel.modelName != null) {
            return false;
        }
        if (vendor != null ? !vendor.equals(dataSourceVendorModel.vendor) : dataSourceVendorModel.vendor != null) {
            return false;
        }
        if (vendorName != null ? !vendorName.equals(dataSourceVendorModel.vendorName) : dataSourceVendorModel.vendorName != null) {
            return false;
        }

        return true;
    }

    public int hashCode() {
        int result;
        result = (int) (id ^ (id >>> 32));
        result = 29 * result + (int) (dataSourceType ^ (dataSourceType >>> 32));
        result = 29 * result + (vendor != null ? vendor.hashCode() : 0);
        result = 29 * result + (vendorName != null ? vendorName.hashCode() : 0);
        result = 29 * result + (model != null ? model.hashCode() : 0);
        result = 29 * result + (modelName != null ? modelName.hashCode() : 0);
        return result;
    }
}
