package com.onaro.sanscreen.server.dataobject.acquisition;

import java.io.Serializable;

/**
 * Data source version.
 *
 * @see com.onaro.sanscreen.acquisition.sessions.DataSourceVersionsSessionEJB
 */
public class DataSourceVersion implements Serializable {
    private static final long serialVersionUID = 1L;
	private String name;
    private String jarName;
    private String timestamp;
    private String customer;
    private String checksum;

    public DataSourceVersion() {
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getJarName() {
        return jarName;
    }

    public void setJarName(String jarName) {
        this.jarName = jarName;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(final String timestamp) {
        this.timestamp = timestamp;
    }

    public String getCustomer() {
        return customer;
    }

    public void setCustomer(final String customer) {
        this.customer = customer;
    }

    public String getChecksum() {
        return checksum;
    }

    public void setChecksum(String checksum) {
        this.checksum = checksum;
    }

    public String toString() {
        return jarName + ": customer - " + getCustomer() + ", build at - " + getTimestamp();
    }
}
