package com.onaro.sanscreen.server.dataobject.acquisition;

import java.io.Serializable;

class PBE implements Serializable {
    private static final long serialVersionUID = 1L;
    private final static char[] ENC_PW = "pakach-ani-porek-shora".toCharArray();

    static String encrypt(final String plaintext) throws Exception {
        return encrypt(ENC_PW, plaintext);
    }

    private static String encrypt(final char[] password, final String plaintext) throws Exception {
        return com.netapp.ext_algorithms.pbe.PBE.encrypt(password, plaintext);
    }

    static String decrypt(final String text) throws Exception {
        return decrypt(ENC_PW, text);
    }

    private static String decrypt(final char[] password, final String text) throws Exception {
        return com.netapp.ext_algorithms.pbe.PBE.decrypt(password, text);
    }
}
