package com.onaro.sanscreen.server.interfaces.data.misc;

import java.io.Serializable;

/**
 * Represents user defined help menu link on the GUI
 *
 * @author Anton Sergeev
 */
public class HelpMenuLink implements Serializable {
    private static final long serialVersionUID = 1L;
    
    private String name;

    private String url;

    public HelpMenuLink() {
    }

    public HelpMenuLink(String name, String url) {
        this.name = name;
        this.url = url;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
}
