package com.onaro.sanscreen.server.originatorupdate;

import java.io.Serializable;


public class OriginatorCacheChanges implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * the originator id
     */
    private Long originatorId;

    /**
     * the originator name
     */
    private String originatorName;

    /**
     * number of changes introduce in the SAN by the originator changes
     */
    private int changesCount;

    public boolean isChanged() {
        return false;
    }

    public void setOriginator(Long originatorId, String originatorName) {
        this.originatorId = originatorId;
        this.originatorName = originatorName;
    }

    public Long getOriginatorId() {
        return originatorId;
    }

    public String getOriginatorName() {
        return originatorName;
    }

    public void setChangesCount(int changesCount) {
        this.changesCount = changesCount;
    }

    public int getChangesCount() {
        return changesCount;
    }

    @Override
    public String toString() {
        StringBuilder str = new StringBuilder();
        str.append("OriginatorId:" ).append(originatorId).append("\r\n");
        str.append("ChangesCount:" ).append(changesCount).append("\r\n");
        return str.toString();
    }    
}
