/*
 * Copyright (c) 2010 NetApp
 * All rights reserved
 */

package com.onaro.sanscreen.server.sessions;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Al Velella
 *         Date: Oct 11, 2010
 *         Time: 3:46:08 PM
 */
public class OriginatorUpdateImpl {
    public static final OriginatorUpdateImpl INSTANCE = new OriginatorUpdateImpl();

    private Map<Long, Object> originIdToSyncObject = new HashMap<Long, Object>();

    private OriginatorUpdateImpl(){}

    public synchronized Object getOriginatorSyncObject(Long originId) {
        Object object = originIdToSyncObject.get(originId);
        if (object == null) {
            object = new Object();
            originIdToSyncObject.put(originId, object);
        }
        return object;
    }
}
