package com.onaro.sanscreen.server.tables.acquisition;

import com.onaro.sanscreen.server.dataobject.acquisition.AcquisitionUnitNew;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * This class will handle access to au_attrs table
 */
public class AcquisitionUnitAttrsTable extends AcquisitionTable<AcquisitionUnitNew.AcqUnitAttribute> {
    private static final String TABLE_NAME = "au_attrs";

    public AcquisitionUnitAttrsTable(Connection connection) {
        super(connection, TABLE_NAME);
    }

    public AcquisitionUnitNew.AcqUnitAttribute parseObject(final ResultSet resultSet) throws SQLException {
        return new AcquisitionUnitNew.AcqUnitAttribute(
                resultSet.getLong("id"),
                resultSet.getString("type"),
                resultSet.getString("subtype"),
                resultSet.getString("name"),
                resultSet.getString("value"));
    }
}
