package com.onaro.sanscreen.server.tables.idgenerator;

import com.netapp.oci.platform.common.InternalServerException;
import com.onaro.sanscreen.server.interfaces.data.ServerInterfaceException;

import javax.ejb.ApplicationException;

/**
 * Exception thrown if failed to generate id for object key
 *
 * @author Anton Sergeev
 */
@ApplicationException(rollback = true)
public class IdGeneratorException extends InternalServerException {
    private static final long serialVersionUID = 1L;

	public IdGeneratorException(String msg) {
        super(msg);
    }

    public IdGeneratorException(String msg, Throwable cause) {
        super(msg, cause);
    }
}
