package com.onaro.sanscreen.util.xml;

import com.netapp.oci.platform.common.interfaces.data.NestedStackTraceException;

import javax.ejb.ApplicationException;

/**
 * Reports of an exception when performing update operation on the persistent storage.
 */
@ApplicationException(rollback = true)
public class XMLException extends NestedStackTraceException {


    private static final long serialVersionUID = 1L;

    public XMLException(String message) {
	super(message);
    }

    public XMLException(String message, Throwable cause) {
        super(message, cause);
    }
}
