package com.netapp.acquisition.aquisitionserverside.interfaces.data;

import java.io.Serializable;
import java.util.SortedMap;

public class DiskModelWrapper implements Serializable {

    private final SortedMap<String, DiskModelDescription> descriptions;
    private final long updateTimeStamp;

    public DiskModelWrapper(final SortedMap<String, DiskModelDescription> descriptions, final long updateTimeStamp) {
        this.descriptions = descriptions;
        this.updateTimeStamp = updateTimeStamp;
    }

    public SortedMap<String, DiskModelDescription> getDescriptions() {
        return descriptions;
    }

    public long getUpdateTimeStamp() {
        return updateTimeStamp;
    }
}
