/*
 * $Id: //depot/prod/acquisition/main/tools/config/eclipse/.settings/org.eclipse.jdt.ui.prefs#1 $
 *
 * Copyright (c) 2017 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.oci.netapp.ems.shared.interfaces.data;

import javax.ejb.ApplicationException;

import com.netapp.oci.platform.common.interfaces.data.NestedStackTraceException;

@ApplicationException(rollback = true)
public class NetAppEmsEventException extends NestedStackTraceException {

    private static final long serialVersionUID = 1L;

    public NetAppEmsEventException() {
        super();
    }

    public NetAppEmsEventException(String message) {
        super(message);
    }

    public NetAppEmsEventException(Throwable cause) {
        super(cause);
    }

    public NetAppEmsEventException(String message, Throwable ex) {
        super(message, ex);
    }
}
