package com.netapp.oci.netapp.performance.aggregate.interfaces.data;

import java.io.Serializable;
import java.math.BigInteger;

public class AggregateRawMeasurements implements Serializable {
    private static final long serialVersionUID = 1L;
    
	private BigInteger cpReadBlocks;
	private BigInteger cpReads;
	private BigInteger totalTransfers;
	private BigInteger userReadBlocks;
	private BigInteger userReads;
	private BigInteger userWriteBlocks;
	private BigInteger userWrites;
    private BigInteger totalTransfersHdd;
    private BigInteger totalTransfersSsd;
    private BigInteger userReadBlocksHdd;
    private BigInteger userReadBlocksSsd;
    private BigInteger userReadsHdd;
    private BigInteger userReadsSsd;
    private BigInteger userWriteBlocksHdd;
    private BigInteger userWriteBlocksSsd;
    private BigInteger userWritesHdd;
    private BigInteger userWritesSsd;
	
	public AggregateRawMeasurements(){}
	
	public BigInteger getCpReadBlocks() {
		return cpReadBlocks;
	}
	
	public AggregateRawMeasurements setCpReadBlocks(BigInteger cpReadBlocks) {
		this.cpReadBlocks = cpReadBlocks;
        return this;
	}
	
	public BigInteger getCpReads() {
		return cpReads;
	}
	
	public AggregateRawMeasurements setCpReads(BigInteger cpReads) {
		this.cpReads = cpReads;
        return this;
	}
	
	public BigInteger getTotalTransfers() {
		return totalTransfers;
	}
	
	public AggregateRawMeasurements setTotalTransfers(BigInteger totalTransfers) {
		this.totalTransfers = totalTransfers;
        return this;
	}
	public BigInteger getUserReadBlocks() {
		return userReadBlocks;
	}
	
	public AggregateRawMeasurements setUserReadBlocks(BigInteger userReadBlocks) {
		this.userReadBlocks = userReadBlocks;
        return this;
	}
	
	public BigInteger getUserReads() {
		return userReads;
	}
	public AggregateRawMeasurements setUserReads(BigInteger userReads) {
		this.userReads = userReads;
        return this;
	}
	
	public BigInteger getUserWriteBlocks() {
		return userWriteBlocks;
	}
	
	public AggregateRawMeasurements setUserWriteBlocks(BigInteger userWriteBlock) {
		this.userWriteBlocks = userWriteBlock;
        return this;
	}
	
	public BigInteger getUserWrites() {
		return userWrites;
	}
	
	public AggregateRawMeasurements setUserWrites(BigInteger userWrites) {
		this.userWrites = userWrites;
        return this;
	}

    public BigInteger getTotalTransfersHdd() {
        return totalTransfersHdd;
    }

    public AggregateRawMeasurements setTotalTransfersHdd(BigInteger totalTransfersHdd) {
        this.totalTransfersHdd = totalTransfersHdd;
        return this;
    }

    public BigInteger getTotalTransfersSsd() {
        return totalTransfersSsd;
    }

    public AggregateRawMeasurements setTotalTransfersSsd(BigInteger totalTransfersSsd) {
        this.totalTransfersSsd = totalTransfersSsd;
        return this;
    }

    public BigInteger getUserReadBlocksHdd() {
        return userReadBlocksHdd;
    }

    public AggregateRawMeasurements setUserReadBlocksHdd(BigInteger userReadBlocksHdd) {
        this.userReadBlocksHdd = userReadBlocksHdd;
        return this;
    }

    public BigInteger getUserReadBlocksSsd() {
        return userReadBlocksSsd;
    }

    public AggregateRawMeasurements setUserReadBlocksSsd(BigInteger userReadBlocksSsd) {
        this.userReadBlocksSsd = userReadBlocksSsd;
        return this;
    }

    public BigInteger getUserReadsHdd() {
        return userReadsHdd;
    }

    public AggregateRawMeasurements setUserReadsHdd(BigInteger userReadsHdd) {
        this.userReadsHdd = userReadsHdd;
        return this;
    }

    public BigInteger getUserReadsSsd() {
        return userReadsSsd;
    }

    public AggregateRawMeasurements setUserReadsSsd(BigInteger userReadsSsd) {
        this.userReadsSsd = userReadsSsd;
        return this;
    }

    public BigInteger getUserWriteBlocksHdd() {
        return userWriteBlocksHdd;
    }

    public AggregateRawMeasurements setUserWriteBlocksHdd(BigInteger userWriteBlocksHdd) {
        this.userWriteBlocksHdd = userWriteBlocksHdd;
        return this;
    }

    public BigInteger getUserWriteBlocksSsd() {
        return userWriteBlocksSsd;
    }

    public AggregateRawMeasurements setUserWriteBlocksSsd(BigInteger userWriteBlocksSsd) {
        this.userWriteBlocksSsd = userWriteBlocksSsd;
        return this;
    }

    public BigInteger getUserWritesHdd() {
        return userWritesHdd;
    }

    public AggregateRawMeasurements setUserWritesHdd(BigInteger userWritesHdd) {
        this.userWritesHdd = userWritesHdd;
        return this;
    }

    public BigInteger getUserWritesSsd() {
        return userWritesSsd;
    }

    public AggregateRawMeasurements setUserWritesSsd(BigInteger userWritesSsd) {
        this.userWritesSsd = userWritesSsd;
        return this;
    }

}
