package com.netapp.oci.netapp.performance.iscsilif.interfaces.data;

import java.io.Serializable;
import java.math.BigInteger;

public class IscsiLifRawMeasurements implements Serializable {
    private static final long serialVersionUID = 1L;

    private BigInteger avgLatency;
    private BigInteger avgOtherLatency;
    private BigInteger avgReadLatency;
    private BigInteger avgWriteLatency;
    private BigInteger iscsiOtherOps;
    private BigInteger iscsiReadOps;
    private BigInteger iscsiWriteOps;
    private BigInteger dataInBlocks;
    private BigInteger readData;
    private BigInteger dataOutBlocks;
    private BigInteger writeData;
    private BigInteger cmdTransfered;

    public BigInteger getAvgLatency() {
        return avgLatency;
    }
    
    public IscsiLifRawMeasurements setAvgLatency(BigInteger avgLatency) {
        this.avgLatency = avgLatency;
        return this;
    }
    
    public BigInteger getAvgOtherLatency() {
        return avgOtherLatency;
    }
    
    public IscsiLifRawMeasurements setAvgOtherLatency(BigInteger avgOtherLatency) {
        this.avgOtherLatency = avgOtherLatency;
        return this;
    }
    
    public BigInteger getAvgReadLatency() {
        return avgReadLatency;
    }
    
    public IscsiLifRawMeasurements setAvgReadLatency(BigInteger avgReadLatency) {
        this.avgReadLatency = avgReadLatency;
        return this;
    }
    
    public BigInteger getAvgWriteLatency() {
        return avgWriteLatency;
    }
    
    public IscsiLifRawMeasurements setAvgWriteLatency(BigInteger avgWriteLatency) {
        this.avgWriteLatency = avgWriteLatency;
        return this;
    }
    
    public BigInteger getIscsiOtherOps() {
        return iscsiOtherOps;
    }
    
    public IscsiLifRawMeasurements setIscsiOtherOps(BigInteger iscsiOtherOps) {
        this.iscsiOtherOps = iscsiOtherOps;
        return this;
    }
    
    public BigInteger getIscsiReadOps() {
        return iscsiReadOps;
    }
    
    public IscsiLifRawMeasurements setIscsiReadOps(BigInteger iscsiReadOps) {
        this.iscsiReadOps = iscsiReadOps;
        return this;
    }
    
    public BigInteger getIscsiWriteOps() {
        return iscsiWriteOps;
    }
    
    public IscsiLifRawMeasurements setIscsiWriteOps(BigInteger iscsiWriteOps) {
        this.iscsiWriteOps = iscsiWriteOps;
        return this;
    }
    public BigInteger getDataInBlocks() {
        return dataInBlocks;
    }
    
    public IscsiLifRawMeasurements setDataInBlocks(BigInteger dataInBlocks) {
        this.dataInBlocks = dataInBlocks;
        return this;
    }
    
    public BigInteger getReadData() {
        return readData;
    }
    
    public IscsiLifRawMeasurements setReadData(BigInteger readData) {
        this.readData = readData;
        return this;
    }
    
    public BigInteger getDataOutBlocks() {
        return dataOutBlocks;
    }
    public IscsiLifRawMeasurements setDataOutBlocks(BigInteger dataOutBlocks) {
        this.dataOutBlocks = dataOutBlocks;
        return this;
    }
    
    public BigInteger getWriteData() {
        return writeData;
    }
    
    public IscsiLifRawMeasurements setWriteData(BigInteger writeData) {
        this.writeData = writeData;
        return this;
    }

	public BigInteger getCmdTransfered() {
		return cmdTransfered;
	}

	public IscsiLifRawMeasurements setCmdTransfered(BigInteger cmdTransfered) {
		this.cmdTransfered = cmdTransfered;
        return this;
	}

}
