package com.netapp.oci.netapp.performance.nfs.interfaces.data;

import java.io.Serializable;
import java.math.BigInteger;

public class Nfsv3RawMeasurements implements Serializable{
	private static final long serialVersionUID = 540116636582592906L;
	
	private BigInteger nfsv3Ops;
	private BigInteger nfsv3ReadOps;
	private BigInteger nfsv3WriteOps;
	private BigInteger readTotal;
	private BigInteger nfsv3ReadThroughput;
	private BigInteger nfsv3Throughput;
	private BigInteger writeTotal;
	private BigInteger nfsv3WriteThroughput;
	private BigInteger readAvgLatency;
	private BigInteger writeAvgLatency;
    private BigInteger latency;
    private BigInteger totalOps;
	
	public Nfsv3RawMeasurements() {
	};
	
	public Nfsv3RawMeasurements(BigInteger nfsv3Ops,
			BigInteger nfsv3ReadOps, BigInteger nfsv3WriteOps, BigInteger readTotal,
			BigInteger nfsv3ReadThroughput, BigInteger nfsv3Throughput,
			BigInteger writeTotal, BigInteger nfsv3WriteThrouput,
			BigInteger readAvgLatency, BigInteger writeAvgLatency) {
		super();
		this.nfsv3Ops = nfsv3Ops;
		this.nfsv3ReadOps = nfsv3ReadOps;
		this.nfsv3WriteOps = nfsv3WriteOps;
		this.readTotal = readTotal;
		this.nfsv3ReadThroughput = nfsv3ReadThroughput;
		this.nfsv3Throughput = nfsv3Throughput;
		this.writeTotal = writeTotal;
		this.nfsv3WriteThroughput = nfsv3WriteThrouput;
		this.readAvgLatency = readAvgLatency;
		this.writeAvgLatency = writeAvgLatency;
	}

	public BigInteger getNfsv3Ops() {
		return nfsv3Ops;
	}

	public void setNfsv3Ops(BigInteger nfsv3Ops) {
		this.nfsv3Ops = nfsv3Ops;
	}

	public BigInteger getNfsv3ReadOps() {
		return nfsv3ReadOps;
	}

	public void setNfsv3ReadOps(BigInteger nfsv3ReadOps) {
		this.nfsv3ReadOps = nfsv3ReadOps;
	}

	public BigInteger getNfsv3WriteOps() {
		return nfsv3WriteOps;
	}

	public void setNfsv3WriteOps(BigInteger nfsv3WriteOps) {
		this.nfsv3WriteOps = nfsv3WriteOps;
	}

	public BigInteger getReadTotal() {
		return readTotal;
	}

	public void setReadTotal(BigInteger readTotal) {
		this.readTotal = readTotal;
	}
	
	public BigInteger getNfsv3ReadThroughput() {
		return nfsv3ReadThroughput;
	}

	public void setNfsv3ReadThroughput(BigInteger nfsv3ReadThroughput) {
		this.nfsv3ReadThroughput = nfsv3ReadThroughput;
	}

	public BigInteger getNfsv3Throughput() {
		return nfsv3Throughput;
	}

	public void setNfsv3Throughput(BigInteger nfsv3Throughput) {
		this.nfsv3Throughput = nfsv3Throughput;
	}

	public BigInteger getWriteTotal() {
		return writeTotal;
	}

	public void setWriteTotal(BigInteger writeTotal) {
		this.writeTotal = writeTotal;
	}

	public BigInteger getNfsv3WriteThroughput() {
		return nfsv3WriteThroughput;
	}

	public void setNfsv3WriteThroughput(BigInteger nfsv3WriteThroughput) {
		this.nfsv3WriteThroughput = nfsv3WriteThroughput;
	}

	public BigInteger getReadAvgLatency() {
		return readAvgLatency;
	}

	public void setReadAvgLatency(BigInteger readAvgLatency) {
		this.readAvgLatency = readAvgLatency;
	}

	public BigInteger getWriteAvgLatency() {
		return writeAvgLatency;
	}

	public void setWriteAvgLatency(BigInteger writeAvgLatency) {
		this.writeAvgLatency = writeAvgLatency;
	}

    public BigInteger getLatency() {
        return latency;
    }

    public void setLatency(BigInteger latency) {
        this.latency = latency;
    }

    public BigInteger getTotalOps() {
        return totalOps;
    }

    public void setTotalOps(BigInteger totalOps) {
        this.totalOps = totalOps;
    }

}
