package com.netapp.oci.netapp.performance.nfs.interfaces.data;

import java.io.Serializable;
import java.math.BigInteger;

public class Nfsv4RawMeasurements implements Serializable{
	private static final long serialVersionUID = -7065164216922107098L;
	
	private BigInteger readAvgLatency;
	private BigInteger readTotal;
	private BigInteger nfs4ReadThroughput;
	private BigInteger nfs4Throughput;
	private BigInteger writeAvgLatency;
	private BigInteger writeTotal;
	private BigInteger nfs4WriteThroughput;
	private BigInteger nfsv4Ops;
    private BigInteger latency;
    private BigInteger totalOps;
	
	public Nfsv4RawMeasurements() {
	}

	public Nfsv4RawMeasurements(
			BigInteger readAvgLatency, BigInteger readTotal,
			BigInteger nfs4ReadThroughput, BigInteger nfs4Throughput,
			BigInteger writeAvgLatency, BigInteger writeTotal,
			BigInteger nfs4WriteThroughput, BigInteger nfsv4Ops) {
		super();
		this.readAvgLatency = readAvgLatency;
		this.readTotal = readTotal;
		this.nfs4ReadThroughput = nfs4ReadThroughput;
		this.nfs4Throughput = nfs4Throughput;
		this.writeAvgLatency = writeAvgLatency;
		this.writeTotal = writeTotal;
		this.nfs4WriteThroughput = nfs4WriteThroughput;
		this.nfsv4Ops = nfsv4Ops;
	}

	public BigInteger getReadAvgLatency() {
		return readAvgLatency;
	}

	public void setReadAvgLatency(BigInteger readAvgLatency) {
		this.readAvgLatency = readAvgLatency;
	}

	public BigInteger getReadTotal() {
		return readTotal;
	}

	public void setReadTotal(BigInteger readTotal) {
		this.readTotal = readTotal;
	}

	public BigInteger getNfs4ReadThroughput() {
		return nfs4ReadThroughput;
	}

	public void setNfs4ReadThroughput(BigInteger nfs4ReadThroughput) {
		this.nfs4ReadThroughput = nfs4ReadThroughput;
	}

	public BigInteger getNfs4Throughput() {
		return nfs4Throughput;
	}

	public void setNfs4Throughput(BigInteger nfs4Throughput) {
		this.nfs4Throughput = nfs4Throughput;
	}

	public BigInteger getWriteAvgLatency() {
		return writeAvgLatency;
	}

	public void setWriteAvgLatency(BigInteger writeAvgLatency) {
		this.writeAvgLatency = writeAvgLatency;
	}

	public BigInteger getWriteTotal() {
		return writeTotal;
	}

	public void setWriteTotal(BigInteger writeTotal) {
		this.writeTotal = writeTotal;
	}

	public BigInteger getNfs4WriteThroughput() {
		return nfs4WriteThroughput;
	}

	public void setNfs4WriteThroughput(BigInteger nfs4WriteThroughput) {
		this.nfs4WriteThroughput = nfs4WriteThroughput;
	}

	public BigInteger getNfsv4Ops() {
		return nfsv4Ops;
	}

	public void setNfsv4Ops(BigInteger nfsv4Ops) {
		this.nfsv4Ops = nfsv4Ops;
	};

    public BigInteger getLatency() {
        return latency;
    }

    public void setLatency(BigInteger latency) {
        this.latency = latency;
    }

    public BigInteger getTotalOps() {
        return totalOps;
    }

    public void setTotalOps(BigInteger totalOps) {
        this.totalOps = totalOps;
    }

}
