package com.netapp.oci.netapp.performance.opmheadroom.interfaces.data;

import java.io.Serializable;

public class OpmHeadRoomCPUMeasurements implements Serializable {
	private static final long serialVersionUID = 1L;

	private float serviceTime;
	private float obOptimalPointUtil;
	private float obOptimalPointLatency;
	private float obOptimalPointOps;
	private float obcOptimalPointUtil;
	private float obcOptimalPointLatency;
	private float obcOptimalPointOps;
	private float obConfidenceLevel;
	private float mOptimalPointUtil;
	private float mOptimalPointLatency;
	private float mOptimalPointOps;
	private float mcOptimalPointUtil;
	private float mcOptimalPointLatency;
	private float mcOptimalPointOps;
	private float mConfidenceLevel;
	private float cOperationalPointAllWorkloads;
	private float cOperationalPointInternalWorkloads;
	private float oOperationalPointAllWorkloads;
	private float oOperationalPointInternalWorkloads;
	private float cHRoomInUsePercent;
	private float cHRoomUsedNoInternalPercent;
	private boolean isObservationBased;

	private float haLatencyProjection;
	private float haHRoomUsedProjection;
	private float haHRoomUsedNoInternalProjection;
	private float haUtilProjection;
	private float haOpsProjection;
	private float availableOps;

	public OpmHeadRoomCPUMeasurements() {
		super();
	}

	public float getServiceTime() {
		return serviceTime;
	}



	public OpmHeadRoomCPUMeasurements setServiceTime(float serviceTime) {
		this.serviceTime = serviceTime;
		return this;
	}



	public float getObOptimalPointUtil() {
		return obOptimalPointUtil;
	}



	public OpmHeadRoomCPUMeasurements setObOptimalPointUtil(float obOptimalPointUtil) {
		this.obOptimalPointUtil = obOptimalPointUtil;
		return this;
	}



	public float getObOptimalPointLatency() {
		return obOptimalPointLatency;
	}



	public OpmHeadRoomCPUMeasurements setObOptimalPointLatency(float obOptimalPointLatency) {
		this.obOptimalPointLatency = obOptimalPointLatency;
		return this;
	}



	public float getObOptimalPointOps() {
		return obOptimalPointOps;
	}



	public OpmHeadRoomCPUMeasurements setObOptimalPointOps(float obOptimalPointOps) {
		this.obOptimalPointOps = obOptimalPointOps;
		return this;
	}



	public float getObcOptimalPointUtil() {
		return obcOptimalPointUtil;
	}



	public OpmHeadRoomCPUMeasurements setObcOptimalPointUtil(float obcOptimalPointUtil) {
		this.obcOptimalPointUtil = obcOptimalPointUtil;
		return this;
	}



	public float getObcOptimalPointLatency() {
		return obcOptimalPointLatency;
	}



	public OpmHeadRoomCPUMeasurements setObcOptimalPointLatency(float obcOptimalPointLatency) {
		this.obcOptimalPointLatency = obcOptimalPointLatency;
		return this;
	}



	public float getObcOptimalPointOps() {
		return obcOptimalPointOps;
	}



	public OpmHeadRoomCPUMeasurements setObcOptimalPointOps(float obcOptimalPointOps) {
		this.obcOptimalPointOps = obcOptimalPointOps;
		return this;
	}



	public float getObConfidenceLevel() {
		return obConfidenceLevel;
	}



	public OpmHeadRoomCPUMeasurements setObConfidenceLevel(float obConfidenceLevel) {
		this.obConfidenceLevel = obConfidenceLevel;
		return this;
	}



	public float getmOptimalPointUtil() {
		return mOptimalPointUtil;
	}



	public OpmHeadRoomCPUMeasurements setmOptimalPointUtil(float mOptimalPointUtil) {
		this.mOptimalPointUtil = mOptimalPointUtil;
		return this;
	}



	public float getmOptimalPointLatency() {
		return mOptimalPointLatency;
	}



	public OpmHeadRoomCPUMeasurements setmOptimalPointLatency(float mOptimalPointLatency) {
		this.mOptimalPointLatency = mOptimalPointLatency;
		return this;
	}



	public float getmOptimalPointOps() {
		return mOptimalPointOps;
	}



	public OpmHeadRoomCPUMeasurements setmOptimalPointOps(float mOptimalPointOps) {
		this.mOptimalPointOps = mOptimalPointOps;
		return this;
	}



	public float getMcOptimalPointUtil() {
		return mcOptimalPointUtil;
	}



	public OpmHeadRoomCPUMeasurements setMcOptimalPointUtil(float mcOptimalPointUtil) {
		this.mcOptimalPointUtil = mcOptimalPointUtil;
		return this;
	}



	public float getMcOptimalPointLatency() {
		return mcOptimalPointLatency;
	}



	public OpmHeadRoomCPUMeasurements setMcOptimalPointLatency(float mcOptimalPointLatency) {
		this.mcOptimalPointLatency = mcOptimalPointLatency;
		return this;
	}



	public float getMcOptimalPointOps() {
		return mcOptimalPointOps;
	}



	public OpmHeadRoomCPUMeasurements setMcOptimalPointOps(float mcOptimalPointOps) {
		this.mcOptimalPointOps = mcOptimalPointOps;
		return this;
	}



	public float getmConfidenceLevel() {
		return mConfidenceLevel;
	}



	public OpmHeadRoomCPUMeasurements setmConfidenceLevel(float mConfidenceLevel) {
		this.mConfidenceLevel = mConfidenceLevel;
		return this;
	}



	public float getcOperationalPointAllWorkloads() {
		return cOperationalPointAllWorkloads;
	}



	public OpmHeadRoomCPUMeasurements setcOperationalPointAllWorkloads(float cOperationalPointAllWorkloads) {
		this.cOperationalPointAllWorkloads = cOperationalPointAllWorkloads;
		return this;
	}



	public float getcOperationalPointInternalWorkloads() {
		return cOperationalPointInternalWorkloads;
	}



	public OpmHeadRoomCPUMeasurements setcOperationalPointInternalWorkloads(
			float cOperationalPointInternalWorkloads) {
		this.cOperationalPointInternalWorkloads = cOperationalPointInternalWorkloads;
		return this;
	}

	public float getoOperationalPointAllWorkloads() {
		return oOperationalPointAllWorkloads;
	}

	public OpmHeadRoomCPUMeasurements setoOperationalPointAllWorkloads(float oOperationalPointAllWorkloads) {
		this.oOperationalPointAllWorkloads = oOperationalPointAllWorkloads;
		return this;
	}


	public float getoOperationalPointInternalWorkloads() {
		return oOperationalPointInternalWorkloads;
	}

	public OpmHeadRoomCPUMeasurements setoOperationalPointInternalWorkloads(
			float oOperationalPointInternalWorkloads) {
		this.oOperationalPointInternalWorkloads = oOperationalPointInternalWorkloads;
		return this;
	}


	public float getcHRoomInUsePercent() {
		return cHRoomInUsePercent;
	}

	public OpmHeadRoomCPUMeasurements setcHRoomInUsePercent(float cHRoomInUsePercent) {
		this.cHRoomInUsePercent = cHRoomInUsePercent;
		return this;
	}



	public float getcHRoomUsedNoInternalPercent() {
		return cHRoomUsedNoInternalPercent;
	}



	public OpmHeadRoomCPUMeasurements setcHRoomUsedNoInternalPercent(float cHRoomUsedNoInternalPercent) {
		this.cHRoomUsedNoInternalPercent = cHRoomUsedNoInternalPercent;
		return this;
	}

	public float getHaLatencyProjection() {
		return haLatencyProjection;
	}



	public OpmHeadRoomCPUMeasurements setHaLatencyProjection(float haLatencyProjection) {
		this.haLatencyProjection = haLatencyProjection;
		return this;
	}


    public boolean isObservationBased() {
        return isObservationBased;
    }

    public OpmHeadRoomCPUMeasurements setObservationBased(boolean isObservationBased) {
        this.isObservationBased = isObservationBased;
        return this;
    }

    public float getHaHRoomUsedProjection() {
        return haHRoomUsedProjection;
    }

    public OpmHeadRoomCPUMeasurements setHaHRoomUsedProjection(float haHRoomUsedProjection) {
        this.haHRoomUsedProjection = haHRoomUsedProjection;
        return this;
    }

    public float getHaHRoomUsedNoInternalProjection() {
        return haHRoomUsedNoInternalProjection;
    }

    public OpmHeadRoomCPUMeasurements setHaHRoomUsedNoInternalProjection(float haHRoomUsedNoInternalProjection) {
        this.haHRoomUsedNoInternalProjection = haHRoomUsedNoInternalProjection;
        return this;
    }

    public float getHaUtilProjection() {
        return haUtilProjection;
    }

    public OpmHeadRoomCPUMeasurements setHaUtilProjection(float haUtilProjection) {
        this.haUtilProjection = haUtilProjection;
        return this;
    }

    public float getHaOpsProjection() {
        return haOpsProjection;
    }

    public OpmHeadRoomCPUMeasurements setHaOpsProjection(float haOpsProjection) {
        this.haOpsProjection = haOpsProjection;
        return this;
    }

    public float getAvailableOps() {
        return availableOps;
    }

    public OpmHeadRoomCPUMeasurements setAvailableOps(float availableOps) {
        this.availableOps = availableOps;
        return this;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + Float.floatToIntBits(cHRoomInUsePercent);
        result = prime * result + Float.floatToIntBits(cHRoomUsedNoInternalPercent);
        result = prime * result + Float.floatToIntBits(cOperationalPointAllWorkloads);
        result = prime * result + Float.floatToIntBits(cOperationalPointInternalWorkloads);
        result = prime * result + Float.floatToIntBits(haHRoomUsedProjection);
        result = prime * result + Float.floatToIntBits(haHRoomUsedNoInternalProjection);
        result = prime * result + Float.floatToIntBits(haLatencyProjection);
        result = prime * result + Float.floatToIntBits(haOpsProjection);
        result = prime * result + Float.floatToIntBits(haUtilProjection);
        result = prime * result + (isObservationBased ? 1231 : 1237);
        result = prime * result + Float.floatToIntBits(mConfidenceLevel);
        result = prime * result + Float.floatToIntBits(mOptimalPointLatency);
        result = prime * result + Float.floatToIntBits(mOptimalPointOps);
        result = prime * result + Float.floatToIntBits(mOptimalPointUtil);
        result = prime * result + Float.floatToIntBits(mcOptimalPointLatency);
        result = prime * result + Float.floatToIntBits(mcOptimalPointOps);
        result = prime * result + Float.floatToIntBits(mcOptimalPointUtil);
        result = prime * result + Float.floatToIntBits(oOperationalPointAllWorkloads);
        result = prime * result + Float.floatToIntBits(oOperationalPointInternalWorkloads);
        result = prime * result + Float.floatToIntBits(obConfidenceLevel);
        result = prime * result + Float.floatToIntBits(obOptimalPointLatency);
        result = prime * result + Float.floatToIntBits(obOptimalPointOps);
        result = prime * result + Float.floatToIntBits(obOptimalPointUtil);
        result = prime * result + Float.floatToIntBits(obcOptimalPointLatency);
        result = prime * result + Float.floatToIntBits(obcOptimalPointOps);
        result = prime * result + Float.floatToIntBits(obcOptimalPointUtil);
        result = prime * result + Float.floatToIntBits(serviceTime);
        result = prime * result + Float.floatToIntBits(availableOps);
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) return true;
        if (obj == null) return false;
        if (getClass() != obj.getClass()) return false;
        OpmHeadRoomCPUMeasurements other = (OpmHeadRoomCPUMeasurements) obj;
        if (Float.floatToIntBits(cHRoomInUsePercent) != Float.floatToIntBits(other.cHRoomInUsePercent)) return false;
        if (Float.floatToIntBits(cHRoomUsedNoInternalPercent) != Float
                .floatToIntBits(other.cHRoomUsedNoInternalPercent)) return false;
        if (Float.floatToIntBits(cOperationalPointAllWorkloads) != Float
                .floatToIntBits(other.cOperationalPointAllWorkloads)) return false;
        if (Float.floatToIntBits(cOperationalPointInternalWorkloads) != Float
                .floatToIntBits(other.cOperationalPointInternalWorkloads)) return false;
        if (Float.floatToIntBits(haHRoomUsedProjection) != Float.floatToIntBits(other.haHRoomUsedProjection))
            return false;
        if (Float.floatToIntBits(haHRoomUsedNoInternalProjection) != Float.floatToIntBits(other.haHRoomUsedNoInternalProjection))
            return false;
        if (Float.floatToIntBits(haLatencyProjection) != Float.floatToIntBits(other.haLatencyProjection)) return false;
        if (Float.floatToIntBits(haOpsProjection) != Float.floatToIntBits(other.haOpsProjection)) return false;
        if (Float.floatToIntBits(haUtilProjection) != Float.floatToIntBits(other.haUtilProjection)) return false;
        if (isObservationBased != other.isObservationBased) return false;
        if (Float.floatToIntBits(mConfidenceLevel) != Float.floatToIntBits(other.mConfidenceLevel)) return false;
        if (Float.floatToIntBits(mOptimalPointLatency) != Float.floatToIntBits(other.mOptimalPointLatency))
            return false;
        if (Float.floatToIntBits(mOptimalPointOps) != Float.floatToIntBits(other.mOptimalPointOps)) return false;
        if (Float.floatToIntBits(mOptimalPointUtil) != Float.floatToIntBits(other.mOptimalPointUtil)) return false;
        if (Float.floatToIntBits(mcOptimalPointLatency) != Float.floatToIntBits(other.mcOptimalPointLatency))
            return false;
        if (Float.floatToIntBits(mcOptimalPointOps) != Float.floatToIntBits(other.mcOptimalPointOps)) return false;
        if (Float.floatToIntBits(mcOptimalPointUtil) != Float.floatToIntBits(other.mcOptimalPointUtil)) return false;
        if (Float.floatToIntBits(oOperationalPointAllWorkloads) != Float
                .floatToIntBits(other.oOperationalPointAllWorkloads)) return false;
        if (Float.floatToIntBits(oOperationalPointInternalWorkloads) != Float
                .floatToIntBits(other.oOperationalPointInternalWorkloads)) return false;
        if (Float.floatToIntBits(obConfidenceLevel) != Float.floatToIntBits(other.obConfidenceLevel)) return false;
        if (Float.floatToIntBits(obOptimalPointLatency) != Float.floatToIntBits(other.obOptimalPointLatency))
            return false;
        if (Float.floatToIntBits(obOptimalPointOps) != Float.floatToIntBits(other.obOptimalPointOps)) return false;
        if (Float.floatToIntBits(obOptimalPointUtil) != Float.floatToIntBits(other.obOptimalPointUtil)) return false;
        if (Float.floatToIntBits(obcOptimalPointLatency) != Float.floatToIntBits(other.obcOptimalPointLatency))
            return false;
        if (Float.floatToIntBits(obcOptimalPointOps) != Float.floatToIntBits(other.obcOptimalPointOps)) return false;
        if (Float.floatToIntBits(obcOptimalPointUtil) != Float.floatToIntBits(other.obcOptimalPointUtil)) return false;
        if (Float.floatToIntBits(serviceTime) != Float.floatToIntBits(other.serviceTime)) return false;
        if (Float.floatToIntBits(availableOps) != Float.floatToIntBits(other.availableOps)) return false;
        return true;
    }

    @Override
    public String toString() {
        return "OpmHeadRoomCPUMeasurements [serviceTime=" + serviceTime + ", obOptimalPointUtil=" + obOptimalPointUtil
                + ", obOptimalPointLatency=" + obOptimalPointLatency + ", obOptimalPointOps=" + obOptimalPointOps
                + ", obcOptimalPointUtil=" + obcOptimalPointUtil + ", obcOptimalPointLatency=" + obcOptimalPointLatency
                + ", obcOptimalPointOps=" + obcOptimalPointOps + ", obConfidenceLevel=" + obConfidenceLevel
                + ", mOptimalPointUtil=" + mOptimalPointUtil + ", mOptimalPointLatency=" + mOptimalPointLatency
                + ", mOptimalPointOps=" + mOptimalPointOps + ", mcOptimalPointUtil=" + mcOptimalPointUtil
                + ", mcOptimalPointLatency=" + mcOptimalPointLatency + ", mcOptimalPointOps=" + mcOptimalPointOps
                + ", mConfidenceLevel=" + mConfidenceLevel + ", cOperationalPointAllWorkloads="
                + cOperationalPointAllWorkloads + ", cOperationalPointInternalWorkloads="
                + cOperationalPointInternalWorkloads + ", oOperationalPointAllWorkloads="
                + oOperationalPointAllWorkloads + ", oOperationalPointInternalWorkloads="
                + oOperationalPointInternalWorkloads + ", cHRoomInUsePercent=" + cHRoomInUsePercent
                + ", cHRoomUsedNoInternalPercent=" + cHRoomUsedNoInternalPercent + ", isObservationBased="
                + isObservationBased + ", haLatencyProjection=" + haLatencyProjection + ", haHRoomUsedProjection="
                + haHRoomUsedProjection + ", haHRoomUsedNoInternalProjection="
                + haHRoomUsedNoInternalProjection + ", haUtilProjection=" + haUtilProjection + ", haOpsProjection="
                + haOpsProjection +  ", availableOps=" + availableOps + "]";
    }
}