package com.netapp.oci.netapp.performance.resourceheadroom.interfaces.data;

import java.io.Serializable;

public class ResourceHeadRoomCPUMeasurements implements Serializable {
	private static final long serialVersionUID = 1L;

	private float currentUtil;
	private long currentUtilTotal;
	private float currentLatency;
	private float currentOps;
	private float waflHiPriServiceTimeSumOfSquares;
	private float waflHiPriServiceTimeSum;
	private long waflHiPriServiceTimeCount;
	private float waflLoPriServiceTimeSumOfSquares;
	private float waflLoPriServiceTimeSum;
	private long waflLoPriServiceTimeCount;
	private float waflCpPriServiceTimeSumOfSqaures;
	private float waflCpPriServiceTimeSum;
	private long waflCpPriServiceTimeCount;
	private long waflHiPriInterArrivalTimeVariance;
	private long waflHiPriInterArrivalTimeMean;
	private long waflHiPriInterArrivalTimeCount;
	private long waflLoPriInterArrivalTimeVariance;
	private long waflLoPriInterArrivalTimeMean;
	private long waflLoPriInterArrivalTimeCount;
	private long waflCpPriInterArrivalTimeVariance;
	private long waflCpPriInterArrivalTimeMean;
	private long waflCpPriInterArrivalTimeCount;
	private float inWorkloadUtilization;
	private float workloadSumDbladeUtil;
	private float userWorkloadSumDbladeUtil;

	public ResourceHeadRoomCPUMeasurements(){
		super();
	}

	public float getUserWorkloadSumDbladeUtil() {
        return userWorkloadSumDbladeUtil;
    }

    public ResourceHeadRoomCPUMeasurements setUserWorkloadSumDbladeUtil(float userWorkloadSumDbladeUtil) {
        this.userWorkloadSumDbladeUtil = userWorkloadSumDbladeUtil;
        return this;
    }

    public float getWorkloadSumDbladeUtil() {
        return workloadSumDbladeUtil;
    }


    public ResourceHeadRoomCPUMeasurements setWorkloadSumDbladeUtil(float workloadSumDbladeUtil) {
        this.workloadSumDbladeUtil = workloadSumDbladeUtil;
        return this;
    }


    public float getCurrentUtil() {
		return currentUtil;
	}


	public ResourceHeadRoomCPUMeasurements setCurrentUtil(float currentUtil) {
		this.currentUtil = currentUtil;
		return this;
	}


	public long getCurrentUtilTotal() {
		return currentUtilTotal;
	}


	public ResourceHeadRoomCPUMeasurements setCurrentUtilTotal(long currentUtilTotal) {
		this.currentUtilTotal = currentUtilTotal;
		return this;
	}


	public float getCurrentLatency() {
		return currentLatency;
	}


	public ResourceHeadRoomCPUMeasurements setCurrentLatency(float currentLatency) {
		this.currentLatency = currentLatency;
		return this;
	}


	public float getCurrentOps() {
		return currentOps;
	}


	public ResourceHeadRoomCPUMeasurements setCurrentOps(float currentOps) {
		this.currentOps = currentOps;
		return this;
	}


	public float getWaflHiPriServiceTimeSumOfSquares() {
		return waflHiPriServiceTimeSumOfSquares;
	}


	public ResourceHeadRoomCPUMeasurements setWaflHiPriServiceTimeSumOfSquares(
			float waflHiPriServiceTimeSumOfSquares) {
		this.waflHiPriServiceTimeSumOfSquares = waflHiPriServiceTimeSumOfSquares;
		return this;
	}


	public float getWaflHiPriServiceTimeSum() {
		return waflHiPriServiceTimeSum;
	}


	public ResourceHeadRoomCPUMeasurements setWaflHiPriServiceTimeSum(float waflHiPriServiceTimeSum) {
		this.waflHiPriServiceTimeSum = waflHiPriServiceTimeSum;
		return this;
	}


	public long getWaflHiPriServiceTimeCount() {
		return waflHiPriServiceTimeCount;
	}


	public ResourceHeadRoomCPUMeasurements setWaflHiPriServiceTimeCount(long waflHiPriServiceTimeCount) {
		this.waflHiPriServiceTimeCount = waflHiPriServiceTimeCount;
		return this;
	}


	public float getWaflLoPriServiceTimeSumOfSquares() {
		return waflLoPriServiceTimeSumOfSquares;
	}


	public ResourceHeadRoomCPUMeasurements setWaflLoPriServiceTimeSumOfSquares(
			float waflLoPriServiceTimeSumOfSquares) {
		this.waflLoPriServiceTimeSumOfSquares = waflLoPriServiceTimeSumOfSquares;
		return this;
	}


	public float getWaflLoPriServiceTimeSum() {
		return waflLoPriServiceTimeSum;
	}


	public ResourceHeadRoomCPUMeasurements setWaflLoPriServiceTimeSum(float waflLoPriServiceTimeSum) {
		this.waflLoPriServiceTimeSum = waflLoPriServiceTimeSum;
		return this;
	}


	public long getWaflLoPriServiceTimeCount() {
		return waflLoPriServiceTimeCount;
	}


	public ResourceHeadRoomCPUMeasurements setWaflLoPriServiceTimeCount(long waflLoPriServiceTimeCount) {
		this.waflLoPriServiceTimeCount = waflLoPriServiceTimeCount;
		return this;
	}


	public float getWaflCpPriServiceTimeSumOfSqaures() {
		return waflCpPriServiceTimeSumOfSqaures;
	}


	public ResourceHeadRoomCPUMeasurements setWaflCpPriServiceTimeSumOfSqaures(
			float waflCpPriServiceTimeSumOfSqaures) {
		this.waflCpPriServiceTimeSumOfSqaures = waflCpPriServiceTimeSumOfSqaures;
		return this;
	}


	public float getWaflCpPriServiceTimeSum() {
		return waflCpPriServiceTimeSum;
	}


	public ResourceHeadRoomCPUMeasurements setWaflCpPriServiceTimeSum(float waflCpPriServiceTimeSum) {
		this.waflCpPriServiceTimeSum = waflCpPriServiceTimeSum;
		return this;
	}


	public long getWaflCpPriServiceTimeCount() {
		return waflCpPriServiceTimeCount;
	}


	public ResourceHeadRoomCPUMeasurements setWaflCpPriServiceTimeCount(long waflCpPriServiceTimeCount) {
		this.waflCpPriServiceTimeCount = waflCpPriServiceTimeCount;
		return this;
	}


	public long getWaflHiPriInterArrivalTimeVariance() {
		return waflHiPriInterArrivalTimeVariance;
	}


	public ResourceHeadRoomCPUMeasurements setWaflHiPriInterArrivalTimeVariance(
			long waflHiPriInterArrivalTimeVariance) {
		this.waflHiPriInterArrivalTimeVariance = waflHiPriInterArrivalTimeVariance;
		return this;
	}


	public long getWaflHiPriInterArrivalTimeMean() {
		return waflHiPriInterArrivalTimeMean;
	}


	public ResourceHeadRoomCPUMeasurements setWaflHiPriInterArrivalTimeMean(long waflHiPriInterArrivalTimeMean) {
		this.waflHiPriInterArrivalTimeMean = waflHiPriInterArrivalTimeMean;
		return this;
	}


	public long getWaflHiPriInterArrivalTimeCount() {
		return waflHiPriInterArrivalTimeCount;
	}


	public ResourceHeadRoomCPUMeasurements setWaflHiPriInterArrivalTimeCount(
			long waflHiPriInterArrivalTimeCount) {
		this.waflHiPriInterArrivalTimeCount = waflHiPriInterArrivalTimeCount;
		return this;
	}


	public long getWaflLoPriInterArrivalTimeVariance() {
		return waflLoPriInterArrivalTimeVariance;
	}


	public ResourceHeadRoomCPUMeasurements setWaflLoPriInterArrivalTimeVariance(
			long waflLoPriInterArrivalTimeVariance) {
		this.waflLoPriInterArrivalTimeVariance = waflLoPriInterArrivalTimeVariance;
		return this;
	}


	public long getWaflLoPriInterArrivalTimeMean() {
		return waflLoPriInterArrivalTimeMean;
	}


	public ResourceHeadRoomCPUMeasurements setWaflLoPriInterArrivalTimeMean(long waflLoPriInterArrivalTimeMean) {
		this.waflLoPriInterArrivalTimeMean = waflLoPriInterArrivalTimeMean;
		return this;
	}


	public long getWaflLoPriInterArrivalTimeCount() {
		return waflLoPriInterArrivalTimeCount;
	}


	public ResourceHeadRoomCPUMeasurements setWaflLoPriInterArrivalTimeCount(
			long waflLoPriInterArrivalTimeCount) {
		this.waflLoPriInterArrivalTimeCount = waflLoPriInterArrivalTimeCount;
		return this;
	}


	public long getWaflCpPriInterArrivalTimeVariance() {
		return waflCpPriInterArrivalTimeVariance;
	}


	public ResourceHeadRoomCPUMeasurements setWaflCpPriInterArrivalTimeVariance(
			long waflCpPriInterArrivalTimeVariance) {
		this.waflCpPriInterArrivalTimeVariance = waflCpPriInterArrivalTimeVariance;
		return this;
	}


	public long getWaflCpPriInterArrivalTimeMean() {
		return waflCpPriInterArrivalTimeMean;
	}


	public ResourceHeadRoomCPUMeasurements setWaflCpPriInterArrivalTimeMean(long waflCpPriInterArrivalTimeMean) {
		this.waflCpPriInterArrivalTimeMean = waflCpPriInterArrivalTimeMean;
		return this;
	}


	public long getWaflCpPriInterArrivalTimeCount() {
		return waflCpPriInterArrivalTimeCount;
	}


	public ResourceHeadRoomCPUMeasurements setWaflCpPriInterArrivalTimeCount(
			long waflCpPriInterArrivalTimeCount) {
		this.waflCpPriInterArrivalTimeCount = waflCpPriInterArrivalTimeCount;
		return this;
	}


	public float getInWorkloadUtilization() {
		return inWorkloadUtilization;
	}

	public ResourceHeadRoomCPUMeasurements setInWorkloadUtilization(float inWorkloadUtilization) {
		this.inWorkloadUtilization = inWorkloadUtilization;
		return this;
	}

	@Override
	public String toString(){
		final StringBuilder sb = new StringBuilder("ResourceHeadRoomCPUMeasurements {");
		sb.append("waflHiPriServiceTimeSumOfSquares=").append(waflHiPriServiceTimeSumOfSquares);
		sb.append("waflHiPriServiceTimeSum=").append(waflHiPriServiceTimeSum);
		sb.append("waflHiPriServiceTimeCount=").append(waflHiPriServiceTimeCount);
		sb.append(", waflLoPriServiceTimeSumOfSquares=").append(waflLoPriServiceTimeSumOfSquares);
		sb.append(", waflLoPriServiceTimeSum=").append(waflLoPriServiceTimeSum);
		sb.append(", waflLoPriServiceTimeCount=").append(waflLoPriServiceTimeCount);
		sb.append(", waflCpPriServiceTimeSumOfSquares=").append(waflCpPriServiceTimeSumOfSqaures);
		sb.append(", waflCpPriServiceTimeSum=").append(waflCpPriServiceTimeSum);
		sb.append(", waflCpPriServiceTimeCount=").append(waflCpPriServiceTimeCount);
		sb.append(", waflHiPriInterArrivalTimeVariance=").append(waflHiPriInterArrivalTimeVariance);
		sb.append(", waflHiPriInterArrivalTimeMean=").append(waflHiPriInterArrivalTimeMean);
		sb.append(", waflHiPriInterArrivalTimeCount=").append(waflHiPriInterArrivalTimeCount);
		sb.append(", waflLoPriInterArrivalTimeVariance=").append(waflLoPriInterArrivalTimeVariance);
		sb.append(", waflLoPriInterArrivalTimeMean=").append(waflLoPriInterArrivalTimeMean);
		sb.append(", waflLoPriInterArrivalTimeCount=").append(waflLoPriInterArrivalTimeCount);
		sb.append(", waflCpPriIntervalArrivalTimeVariance=").append(waflCpPriInterArrivalTimeVariance);
		sb.append(", waflCpPriIntervalArrivalTimeMean=").append(waflCpPriInterArrivalTimeMean);
		sb.append(", waflCpPriIntervalArrivalTimeCount=").append(waflCpPriInterArrivalTimeCount);
		sb.append("currentUtil=").append(currentUtil);
		sb.append(", currentUtilTotal=").append(currentUtilTotal);
		sb.append(", currentLatency=").append(currentLatency);
		sb.append(", currentOps=").append(currentOps);
		sb.append(", inWorkloadUtilization=").append(inWorkloadUtilization);
		sb.append(", workloadSumDbladeUtil=").append(workloadSumDbladeUtil);
		sb.append(", userWorkloadSumDbladeUtil=").append(userWorkloadSumDbladeUtil);
		sb.append('}');
		return sb.toString();
	}

	@Override
	public int hashCode(){
		int result = Float.floatToIntBits(waflHiPriServiceTimeSumOfSquares);
		result = 31 * result + Float.floatToIntBits(waflHiPriServiceTimeSum);
		result = 31 * result + (int)(waflHiPriServiceTimeCount ^ (waflHiPriServiceTimeCount >>> 32));
		result = 31 * result + Float.floatToIntBits(waflLoPriServiceTimeSumOfSquares);
		result = 31 * result + Float.floatToIntBits(waflLoPriServiceTimeSum);
		result = 31 * result + (int)(waflLoPriServiceTimeCount ^ (waflLoPriServiceTimeCount >>> 32));
		result = 31 * result + Float.floatToIntBits(waflCpPriServiceTimeSumOfSqaures);
		result = 31 * result + Float.floatToIntBits(waflCpPriServiceTimeSum);
		result = 31 * result + (int)(waflCpPriServiceTimeCount ^ (waflCpPriServiceTimeCount >>> 32));
		result = 31 * result + (int)(waflHiPriInterArrivalTimeVariance ^ (waflHiPriInterArrivalTimeVariance >>> 32));
		result = 31 * result + (int)(waflHiPriInterArrivalTimeMean ^ (waflHiPriInterArrivalTimeMean >>> 32));
		result = 31 * result + (int)(waflHiPriInterArrivalTimeCount ^ (waflHiPriInterArrivalTimeCount >>> 32));
		result = 31 * result + (int)(waflLoPriInterArrivalTimeVariance ^ (waflLoPriInterArrivalTimeVariance >>> 32));
		result = 31 * result + (int)(waflLoPriInterArrivalTimeMean ^ (waflLoPriInterArrivalTimeMean >>> 32));
		result = 31 * result + (int)(waflLoPriInterArrivalTimeCount ^ (waflLoPriInterArrivalTimeCount >>> 32));
		result = 31 * result + (int)(waflCpPriInterArrivalTimeVariance ^ (waflCpPriInterArrivalTimeVariance >>> 32));
		result = 31 * result + (int)(waflCpPriInterArrivalTimeMean ^ (waflCpPriInterArrivalTimeMean >>> 32));
		result = 31 * result + (int)(waflCpPriInterArrivalTimeCount ^ (waflCpPriInterArrivalTimeCount >>> 32));
		result = 31 * result + Float.floatToIntBits(currentUtil);
		result = 31 * result + (int)(currentUtilTotal ^ (currentUtilTotal >>> 32));
		result = 31 * result + Float.floatToIntBits(currentLatency);
		result = 31 * result + Float.floatToIntBits(currentOps);
		result = 31 * result + Float.floatToIntBits(inWorkloadUtilization);
		result = 31 * result + Float.floatToIntBits(workloadSumDbladeUtil);
		result = 31 * result + Float.floatToIntBits(userWorkloadSumDbladeUtil);

		return result;
	}

	@Override
	public boolean equals(Object o){
		 if (this == o) return true;
	     if (o == null || getClass() != o.getClass()) return false;

	     ResourceHeadRoomCPUMeasurements that = (ResourceHeadRoomCPUMeasurements) o ;
	     if(waflHiPriServiceTimeSumOfSquares != that.waflHiPriServiceTimeSumOfSquares) return false;
	     if(waflHiPriServiceTimeSum != that.waflHiPriServiceTimeSum) return false;
	     if(waflHiPriServiceTimeCount != that.waflHiPriServiceTimeCount) return false;
	     if(waflLoPriServiceTimeSumOfSquares != that.waflLoPriServiceTimeSumOfSquares) return false;
	     if(waflLoPriServiceTimeSum != that.waflLoPriServiceTimeSum) return false;
	     if(waflLoPriServiceTimeCount != that.waflLoPriServiceTimeCount) return false;
	     if(waflCpPriServiceTimeSumOfSqaures != that.waflCpPriServiceTimeSumOfSqaures) return false;
	     if(waflCpPriServiceTimeSum != that.waflCpPriServiceTimeSum) return false;
	     if(waflCpPriServiceTimeCount != that.waflCpPriServiceTimeCount) return false;
	     if(waflHiPriInterArrivalTimeVariance != that.waflHiPriInterArrivalTimeVariance) return false;
	     if(waflHiPriInterArrivalTimeMean != that.waflHiPriInterArrivalTimeMean) return false;
	     if(waflHiPriInterArrivalTimeCount != that.waflHiPriInterArrivalTimeCount) return false;
	     if(waflLoPriInterArrivalTimeVariance != that.waflLoPriInterArrivalTimeVariance) return false;
	     if(waflLoPriInterArrivalTimeMean != that.waflLoPriInterArrivalTimeMean) return false;
	     if(waflLoPriInterArrivalTimeCount != that.waflLoPriInterArrivalTimeCount) return false;
	     if(waflCpPriInterArrivalTimeVariance != that.waflCpPriInterArrivalTimeVariance) return false;
	     if(waflCpPriInterArrivalTimeMean != that.waflCpPriInterArrivalTimeMean) return false;
	     if(waflCpPriInterArrivalTimeCount != that.waflCpPriInterArrivalTimeCount) return false;
	     if(currentUtil != that.currentUtil) return false;
	     if(currentUtilTotal != that.currentUtilTotal) return false;
	     if(currentLatency != that.currentLatency) return false;
	     if(currentOps != that.currentOps) return false;
	     if(inWorkloadUtilization != that.inWorkloadUtilization) return false;
	     if(workloadSumDbladeUtil != that.workloadSumDbladeUtil) return false;
	     if(userWorkloadSumDbladeUtil != that.userWorkloadSumDbladeUtil) return false;
	     return true;
	}

}