package com.netapp.oci.netapp.performance.shared.interfaces.remote;

import com.netapp.oci.netapp.interfaces.data.NetappInterfaceException;

import javax.ejb.Remote;

/**
 * @author Anton Sergeev
 */
@Remote
public interface NetappPerformanceMaintenanceRemote {
    String JNDI_NAME = "ejb:mega-app/server-core//NetappPerformanceMaintenanceBean!com.netapp.oci.netapp.performance.shared.interfaces.remote.NetappPerformanceMaintenanceRemote";

    /**
     * For testing purposes mostly clears all the caches and tables data
     *
     * @throws NetappInterfaceException
     */
    void clearAll() throws NetappInterfaceException;


    void enablePerformanceCurrentSampleUpdate() throws NetappInterfaceException;

    void disablePerformanceCurrentSampleUpdate() throws NetappInterfaceException;

}
