/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.acq.interfaces.data;

/**
 * @author Jason Sprague
 *         Date: 2/11/13
 *         Time: 2:45 PM
 */
public class PackagePollStartStatus extends PackagePollStatus {

    private static final long serialVersionUID = 1L;

    public PackagePollStartStatus(String datasourceName, Long datasourceId, String packageName, long pollStartTime, int pollInterval) {
        super(datasourceName, datasourceId, packageName, pollStartTime, -1, pollInterval); // Sample time (set to -1) as its not used in JMS package_started notification.
    }

    // No pollINtervla
    public PackagePollStartStatus(String datasourceName, Long datasourceId, String packageName, long pollStartTime) {
        super(datasourceName, datasourceId, packageName, pollStartTime, -1, -1); // Sample time (set to -1) as its not used in JMS package_started notification.
    }
}
