package com.netapp.oci.platform.common.interfaces.impl;

import com.netapp.oci.platform.common.ServerConstant;
import com.netapp.oci.platform.common.interfaces.remote.OciPlatformRemote;

import javax.annotation.security.RolesAllowed;
import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;

/**
 * @author Anton Sergeev
 */
@Stateless
@TransactionAttribute(TransactionAttributeType.REQUIRES_NEW)
@RolesAllowed({"guest", "user", "admin"})
public class OciPlatformBean implements OciPlatformRemote {
    public long getCurrentTime() {
        return System.currentTimeMillis();
    }
}
