/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.originator.key;

/**
 * @author Al Velella
 *         Date: 3/6/13
 *         Time: 4:44 PM
 */
public class DashUuidKey extends DelimitedUuidKey {

    public static final String DELIMITER = "-";

    public DashUuidKey(String uuid) {
        super(uuid, DELIMITER);
    }

    @Override
    public String toString() {
        return super.toString(DELIMITER);
    }
}
