package com.netapp.oci.platform.util.schema;

/**
 * @author Iti Behari
 *         Date: Sep 12, 2012
 */
public class MapKey {
    private String tableSchema;
    private String tableName;
    private String columnName;

    public MapKey(String tableSchema, String tableName, String columnName) {
        this.tableSchema = tableSchema;
        this.tableName = tableName;
        this.columnName = columnName;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        MapKey mapKey = (MapKey) o;

        return !(columnName != null ? !columnName.equals(mapKey.columnName) : mapKey.columnName != null)
                && !(tableName != null ? !tableName.equals(mapKey.tableName) : mapKey.tableName != null)
                && !(tableSchema != null ? !tableSchema.equals(mapKey.tableSchema) : mapKey.tableSchema != null);
    }

    @Override
    public int hashCode() {
        int result = tableSchema != null ? tableSchema.hashCode() : 0;
        result = 31 * result + (tableName != null ? tableName.hashCode() : 0);
        result = 31 * result + (columnName != null ? columnName.hashCode() : 0);
        return result;
    }
}