package com.netapp.oci.platform.util.schema;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Created with IntelliJ IDEA.
 * User: root
 * Date: 10/9/14
 * Time: 5:03 PM
 * To change this template use File | Settings | File Templates.
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface PerformanceValue {
    /**
     *   name of counter
     */
    public String counterName();

    /**
     *   description of the counter
     */
    public String desc();

    /**
     *   summary method used in summary table
     */
    public String summaryMethod() default " ";

    /**
     *   part of ONTAP counter properties field which defines the counter type and governs the cooking process
     */
    public String counterType() default "rate";

    /**
     *    base counter for average
     */
    public String baseCounter() default " ";
}