package com.onaro.management.serverresource.benchmarktask;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

/**
 * Created by weis.
 * Date: Aug 19, 2010
 * Time: 3:50:42 PM
 */
public class SqlTask extends BenchMarkTask {
    Connection connection;
    String sql;

    public SqlTask(String name, Connection connection, String sql) {
        super(name);
        this.connection = connection;
        this.sql = sql;
    }

    @Override
    protected void runDetails() throws Exception {
        PreparedStatement stmt = connection.prepareStatement(sql);
        stmt.execute();
    }

}
