package com.onaro.performance.interfaces.data;

import com.onaro.util.enumeration.EnumPresentation;

public enum MetricUnit {
    IOS,
    MBS,
    MILLISECONDS,
    SECONDS,
    PERCENTAGE,
    MHZ,
    MB,
    COUNT;

    public String getEnumPresentation() {
        EnumPresentation.Attributes attributes = EnumPresentation.getDefaults().getAttributes(getClass().getName(), name());
        if (attributes != null) {
            return attributes.name;
        }
        return name();
    }
}
