package com.onaro.sanscreen.acquisition.sessions;

import com.onaro.sanscreen.server.dataobject.acquisition.DataSourceVersion;

import javax.ejb.Remote;
import java.rmi.RemoteException;
import java.io.Serializable;

/**
 * @author carl.chan-aldebol
 */
@Remote
public interface DataSourceVersionsSession {
    String JNDI_NAME = "ejb:mega-app/server-core//DataSourceVersionsSessionEJB!com.onaro.sanscreen.acquisition.sessions.DataSourceVersionsSession";

    /**
     * Retrieves an array with the versions of all the data source JARs in the
     * deploy directory
     */
    public DataSourceVersion[] getDataSourceVersions() throws RemoteException;
}
