package com.onaro.sanscreen.client.simulator.annotations;

/**
 * @author Iti Behari
 *         Date: 9/5/13
 */

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author Iti Behari
 *         Date: 8/15/13
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface DbViewHierarchy {

    /**
     * Attribute is a property of base table
     */
    boolean isBaseProperty() default false;

    boolean isBothBaseAndSubProperty() default false;
}
