package com.onaro.sanscreen.client.simulator.datatypes;

import com.onaro.sanscreen.client.simulator.annotations.XmlClass;
import org.slf4j.Logger;

@XmlClass
public class Info {

    static transient final Logger logger = org.slf4j.LoggerFactory.getLogger("com.onaro.sanscreen.client.simulator.datatypes");

    private Long OriginatorID;

    private String DataSourceName;

    public Info() {
    }

    public Info(String dataSourceName, Long originatorID) {
        this.DataSourceName = dataSourceName;
        this.OriginatorID = originatorID;
    }

    public String getDataSourceName() {
        return DataSourceName;
    }

    public void setDataSourceName(String dataSourceName) {
        this.DataSourceName = dataSourceName;
    }

    public Long getOriginatorID() {
        return OriginatorID;
    }

    public void setOriginatorID(Long originatorID) {
        this.OriginatorID = originatorID;
    }


    public String toString() {
        final StringBuilder buf = new StringBuilder();
        buf.append("Info");
        buf.append("{dataSourceName=").append(DataSourceName);
        buf.append(",originatorID=").append(OriginatorID);
        buf.append('}');
        return buf.toString();
    }
}
