/*
 * Copyright (c) 2008 NetApp
 * All rights reserved
 */

package com.onaro.sanscreen.server.dataobject;

import com.netapp.oci.platform.common.interfaces.data.NestedStackTraceException;

import javax.ejb.ApplicationException;

/**
 * @author Yarom Gabay
 */
@ApplicationException(rollback = true)
public class LoginException extends NestedStackTraceException {

    private static final long serialVersionUID = 1L;

	public LoginException(String message) {
        super(message);
    }

    public LoginException(String message, Throwable cause) {
        super(message, cause);
    }
}
