package com.onaro.sanscreen.server.dataobject.acquisition;

public class DataSourceBooleanAttribute extends DataSourceSimpleAttribute<Boolean> {
    private static final long serialVersionUID = 1L;

    public DataSourceBooleanAttribute(final String name, final String description, final String label, final String role, final boolean editable, final boolean encrypt, final int guiorder, final Boolean defaultValue) {
        super(AttributeType.BOOLEAN, name, description, label, role, editable, encrypt, guiorder, defaultValue);
    }

    DataSourceBooleanAttribute(final DataSourceSimpleAttribute<Boolean> original) {
        super(original);
    }

    public void setValueFromString(final String value) throws IllegalArgumentException {
        super.setValue(Boolean.parseBoolean(value));
    }


}