package com.onaro.sanscreen.server.dataobject.acquisition;

import com.onaro.sanscreen.acquisition.sessions.AcquisitionUnitException;

import java.util.List;
import java.util.Properties;

public interface DataSourceConfiguration {
    void setAuId(long auId);

    void setName(String name);

    long getAuId();

    long getDsTypeId();

    long getId();

    String getName();

    String getVendor();

    String getModel();

    List<Package> getPackages();

    List<String> getExcludeFromUnifying();

    List<String> getHideWhenUnifying();

    void processUnknowProperties(Properties properties) throws AcquisitionUnitException;
}
