package com.onaro.sanscreen.server.sessions;

import java.util.Properties;

import com.onaro.sanscreen.acquisition.sessions.AcquisitionUnitException;
import com.onaro.sanscreen.acquisition.sessions.DataSourceException;

import javax.ejb.Remote;

/**
 * @author carl.chan-aldebol
 */
@Remote
public interface ForceAcqSession {
    String JNDI_NAME = "ejb:mega-app/server-core//ForceAcqEJB!com.onaro.sanscreen.server.sessions.ForceAcqSession";

    public void forceAcquisition(long[] ids ) throws AcquisitionUnitException, DataSourceException;

    public void forceAcquisition(long[] ids, final Properties userProperties ) throws AcquisitionUnitException, DataSourceException;

    public void forceCrawl(long[] ids) throws AcquisitionUnitException, DataSourceException;
}
