package com.onaro.sanscreen.util.xml;

import org.xml.sax.SAXParseException;
import org.xml.sax.SAXException;

public class DefaultHandler extends org.xml.sax.helpers.DefaultHandler {

    private boolean failOnWarning = false;

    private boolean failOnError = false;

    public boolean isFailOnWarning() {
        return failOnWarning;
    }

    public void setFailOnWarning(boolean failOnWarning) {
        this.failOnWarning = failOnWarning;
    }

    public boolean isFailOnError() {
        return failOnError;
    }

    public void setFailOnError(boolean failOnError) {
        this.failOnError = failOnError;
    }

    public void warning(SAXParseException e) throws SAXException {
        if (failOnWarning) throw e;
    }

    public void error(SAXParseException e) throws SAXException {
        if (failOnError) throw e;
    }
}
